diff -ruN vdr-1.5.7/CONTRIBUTORS vdr-1.5.8/CONTRIBUTORS
--- vdr-1.5.7/CONTRIBUTORS	2007-08-12 13:56:01.000000000 +0200
+++ vdr-1.5.8/CONTRIBUTORS	2007-08-19 16:26:32.000000000 +0200
@@ -887,6 +887,7 @@
  for making the Makefile patch friendlier
  for a patch that was used for implementing setting the user id
  for pointing out that the canonical spelling of codesets is with '-'
+ for a hint on using _nl_msg_cat_cntr
 
 Thomas Koch <tom@harhar.net>
  for his support in keeping the Premiere World channels up to date in 'channels.conf'
@@ -934,12 +935,14 @@
  for reporting a problem with multiple entries of the same subdirectory in the
  "Recordings" menu
 
-Andreas Mair <Andreas.Mair@linogate.com>
+Andreas Mair <andreas@vdr-developer.org>
  for reporting a short display of the main menu if a plugin displays its own OSD and
  is started through a user defined key macro
  for reporting a problem with extremely long summary fields in timers
  for reporting a bug in handling the tfRecording flag when reading timers
  for enabling fonts to be created with a width that overwrites the default width
+ for suggesting to make cBitmap::SetXpm() checks whether the given Xpm pointer is
+ not NULL
 
 Olivier Jacques <jacquesolivier@hotmail.com>)
  for translating OSD texts to the French language
@@ -1017,6 +1020,7 @@
  for suggesting to change the parameter "OSD font" to "Default font" in "Setup/OSD"
  for improving cControl::Launch() to keep 'control' from pointing to uninitialized
  memory
+ for adding internationalization to the "skincurses" plugin
 
 Ralf Klueber <ralf.klueber@vodafone.com>
  for reporting a bug in cutting a recording if there is only a single editing mark
@@ -1408,6 +1412,7 @@
  for fixing a buffer overflow in initializing the system character table
  for reporting a missing 'P' in vdr.c's SHUTDOWNCANCELROMPT macro
  for fixing a problem with characters >0x7F in the modified version of skipspace()
+ for reporting a faulty comment in Make.config.template
 
 Jrgen Schmitz <j.schmitz@web.de>
  for reporting a bug in displaying the current channel when switching via the SVDRP
@@ -1544,6 +1549,7 @@
  for fixing removing the '-' when entering a channel number where there is no other
  one that fits the input
  for reporting a problem with cStatus::MsgOsdTextItem() being called without a text
+ for reporting a missing install-i18n in the install target in the Makefile
 
 Sascha Klek <sklek@gmx.de>
  for reporting a problem with the '0' key in the "Day" item of the "Timers" menu
@@ -1976,6 +1982,8 @@
  for suggestions that led to implementing cOsd::SetOsdPosition() etc.
  for fixing a typo in the function name of cOsd::SetOsdPosition() and adding a range
  check to it
+ for changing cBitmap::DrawText() to always draw the background unless ColorBg
+ is clrTransparent
 
 Pekka Mauno <pekka.mauno@iki.fi>
  for fixing cSchedule::GetFollowingEvent() in case there is currently no present
@@ -2051,6 +2059,9 @@
  for fixing handling frequencies in NitFilter::Process()
  for making non-primary devices in Transfer mode be also used for recording
  for code and hints on how to use 'fontconfig' to determine which fonts to use
+ for suggesting to make the "Setup/OSD/Language" menu only show those languages
+ that actually have a locale
+ for suggesting to use setenv() instead of setlocale() to set the language for gettext()
 
 Antti Hartikainen <ami+vdr@ah.fi>
  for updating 'S13E' in 'sources.conf'
@@ -2083,6 +2094,10 @@
 Matthias Schwarzott <zzam@gentoo.org>
  for suggesting to add LC_ALL to the checks for UTF-8 at startup
  for fixing getting the code setting from the locale
+ for improving i18n-to-gettext.pl
+ for suggesting to move the "all" target in plugin Makefiles before the
+ "Implicit rules", so that a plain "make" will compile everything
+ for adding DESTDIR and PREFIX handling to the Makefile
 
 Martin Ostermann <martin@familie-ostermann.de>
  for fixing processing the PDCDescriptor in 'libsi' on big endian systems
@@ -2129,7 +2144,10 @@
 Tobias Bratfisch <tobias@reel-multimedia.com>
  for improving numdigits(), isnumber() and strreplace()
  for suggesting to make skipspace() an inline function
+ for making some optimizations in cDvbDevice::SetChannelDevice()
+ for optimizing cMenuEditChrItem::Set()
+ for optimizing cNitFilter::Process()
+ for reducing the number of time(NULL) calls in vdr.c's main loop to a single call
 
-Andreas Mair <andreas@vdr-developer.org>
- for suggesting to make cBitmap::SetXpm() checks whether the given Xpm pointer is
- not NULL
+Bruno Roussel <bruno.roussel@free.fr>
+ for translating OSD texts to the French language
diff -ruN vdr-1.5.7/HISTORY vdr-1.5.8/HISTORY
--- vdr-1.5.7/HISTORY	2007-08-12 13:55:41.000000000 +0200
+++ vdr-1.5.8/HISTORY	2007-08-19 16:34:44.000000000 +0200
@@ -5345,3 +5345,37 @@
   Mair).
 - Added a debug error message to cReceiver::~cReceiver() in case it is still
   attached to a device (thanks to Reinhard Nissl).
+
+2007-08-19: Version 1.5.8
+
+- Added missing install-i18n to the install target in the Makefile (reported
+  by Joachim Wilke).
+- Fixed a faulty comment in Make.config.template (reported by Marco Schller).
+- Improved i18n-to-gettext.pl (thanks to Matthias Schwarzott).
+- Moved the "all" target in plugin Makefiles before the "Implicit rules",
+  so that a plain "make" will compile everything (suggested by Matthias
+  Schwarzott). The "newplugin" script has been changed accordingly.
+  Plugin authors may want to change their Makefiles, too.
+- Added DESTDIR and PREFIX handling to the Makefile (thanks to Matthias
+  Schwarzott).
+- Updated the Finnish OSD texts (thanks to Rolf Ahrenberg).
+- Added internationalization to the "skincurses" plugin (thanks to Rolf
+  Ahrenberg).
+- Checking the string for NULL in I18nTranslate().
+- Updated the French OSD texts (thanks to Bruno Roussel).
+- Some optimizations in cDvbDevice::SetChannelDevice() (thanks to Tobias Bratfisch).
+- Optimized cMenuEditChrItem::Set() (thanks to Tobias Bratfisch).
+- Optimized cNitFilter::Process() (thanks to Tobias Bratfisch).
+- Reduced the number of time(NULL) calls in vdr.c's main loop to a single call
+  (thanks to Tobias Bratfisch).
+- Changed cBitmap::DrawText() to always draw the background unless ColorBg
+  is clrTransparent (thanks to Christoph Haubrich).
+- The "Setup/OSD/Language" menu now only shows those languages that actually
+  have a locale (suggested by Anssi Hannula).
+- Now using setenv() instead of setlocale() to set the language for gettext()
+  (suggested by Anssi Hannula; thanks also to Ludwig Nussel for a hint on using
+  _nl_msg_cat_cntr).
+- When scanning the locale directory, VDR now explicitly looks for a file named
+  vdr.mo. Text files for plugins are now named "vdr-name.mo", when "name" is the
+  name of the plugin. The "newplugin" script has been changed accordingly, and
+  plugin authors should change their Makefiles, too.
diff -ruN vdr-1.5.7/Make.config.template vdr-1.5.8/Make.config.template
--- vdr-1.5.7/Make.config.template	2007-08-12 14:04:17.000000000 +0200
+++ vdr-1.5.8/Make.config.template	2007-08-12 22:43:46.000000000 +0200
@@ -6,7 +6,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Make.config.template 1.12 2007/08/12 12:04:17 kls Exp $
+# $Id: Make.config.template 1.13 2007/08/12 20:43:46 kls Exp $
 
 ### The C compiler and options:
 
@@ -26,7 +26,8 @@
 #DVBDIR   = /usr/src/v4l-dvb/linux
 MANDIR   = /usr/local/man
 BINDIR   = /usr/local/bin
-LOCDIR   = /usr/share/vdr/locale  # set to ./locale to run VDR from within its source directory
+# set to ./locale to run VDR from within its source directory:
+LOCDIR   = /usr/share/vdr/locale
 
 PLUGINDIR= ./PLUGINS
 PLUGINLIBDIR= $(PLUGINDIR)/lib
diff -ruN vdr-1.5.7/Makefile vdr-1.5.8/Makefile
--- vdr-1.5.7/Makefile	2007-08-11 14:26:12.000000000 +0200
+++ vdr-1.5.8/Makefile	2007-08-15 15:47:16.000000000 +0200
@@ -4,7 +4,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile 1.102 2007/08/11 12:26:12 kls Exp $
+# $Id: Makefile 1.104 2007/08/15 13:47:16 kls Exp $
 
 .DELETE_ON_ERROR:
 
@@ -15,9 +15,11 @@
 CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual
 
 LSIDIR   = ./libsi
-MANDIR   = /usr/local/man
-BINDIR   = /usr/local/bin
-LOCDIR   = /usr/share/vdr/locale
+DESTDIR ?=
+PREFIX  ?= /usr/local
+MANDIR   = $(PREFIX)/share/man
+BINDIR   = $(PREFIX)/bin
+LOCDIR   = $(PREFIX)/share/vdr/locale
 LIBS     = -ljpeg -lpthread -ldl -lcap -lfreetype -lfontconfig
 INCLUDES = -I/usr/include/freetype2
 
@@ -25,6 +27,7 @@
 PLUGINLIBDIR= $(PLUGINDIR)/lib
 
 VIDEODIR = /video
+CONFDIR ?= $(VIDEODIR)
 
 DOXYGEN  = /usr/bin/doxygen
 DOXYFILE = Doxyfile
@@ -123,8 +126,8 @@
 	    done
 
 install-i18n:
-	@mkdir -p $(LOCDIR)
-	@(cd $(LOCALEDIR); cp -r --parents * $(LOCDIR))
+	@mkdir -p $(DESTDIR)$(LOCDIR)
+	@(cd $(LOCALEDIR); cp -r --parents * $(DESTDIR)$(LOCDIR))
 
 # The 'include' directory (for plugins):
 
@@ -157,35 +160,36 @@
 
 # Install the files:
 
-install: install-bin install-conf install-doc install-plugins
+install: install-bin install-conf install-doc install-plugins install-i18n
 
 # VDR binary:
 
 install-bin: vdr
-	@mkdir -p $(BINDIR)
-	@cp --remove-destination vdr runvdr $(BINDIR)
+	@mkdir -p $(DESTDIR)$(BINDIR)
+	@cp --remove-destination vdr runvdr svdrpsend.pl $(DESTDIR)$(BINDIR)
 
 # Configuration files:
 
 install-conf:
-	@if [ ! -d $(VIDEODIR) ]; then\
-	    mkdir -p $(VIDEODIR);\
-	    cp *.conf $(VIDEODIR);\
+	@mkdir -p $(DESTDIR)$(VIDEODIR)
+	@if [ ! -d $(DESTDIR)$(CONFDIR) ]; then\
+	    mkdir -p $(DESTDIR)$(CONFDIR);\
+	    cp *.conf $(DESTDIR)$(CONFDIR);\
 	    fi
 
 # Documentation:
 
 install-doc:
-	@mkdir -p $(MANDIR)/man1
-	@mkdir -p $(MANDIR)/man5
-	@gzip -c vdr.1 > $(MANDIR)/man1/vdr.1.gz
-	@gzip -c vdr.5 > $(MANDIR)/man5/vdr.5.gz
+	@mkdir -p $(DESTDIR)$(MANDIR)/man1
+	@mkdir -p $(DESTDIR)$(MANDIR)/man5
+	@gzip -c vdr.1 > $(DESTDIR)$(MANDIR)/man1/vdr.1.gz
+	@gzip -c vdr.5 > $(DESTDIR)$(MANDIR)/man5/vdr.5.gz
 
 # Plugins:
 
 install-plugins: plugins
-	@mkdir -p $(PLUGINLIBDIR)
-	@cp --remove-destination $(PLUGINDIR)/lib/lib*-*.so.$(APIVERSION) $(PLUGINLIBDIR)
+	@mkdir -p $(DESTDIR)$(PLUGINLIBDIR)
+	@cp --remove-destination $(PLUGINDIR)/lib/lib*-*.so.$(APIVERSION) $(DESTDIR)$(PLUGINLIBDIR)
 
 # Source documentation:
 
diff -ruN vdr-1.5.7/PLUGINS/src/hello/HISTORY vdr-1.5.8/PLUGINS/src/hello/HISTORY
--- vdr-1.5.7/PLUGINS/src/hello/HISTORY	2007-08-10 16:02:15.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/hello/HISTORY	2007-08-15 15:17:26.000000000 +0200
@@ -53,3 +53,8 @@
 2007-08-11: Version 0.2.0
 
 - Switched to 'gettext' internationalization.
+
+2007-08-15: Version 0.2.1
+
+- Moved the "all" target in the Makefile before the "Implicit rules",
+  so that a plain "make" will compile everything.
diff -ruN vdr-1.5.7/PLUGINS/src/hello/Makefile vdr-1.5.8/PLUGINS/src/hello/Makefile
--- vdr-1.5.7/PLUGINS/src/hello/Makefile	2007-08-11 12:18:16.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/hello/Makefile	2007-08-19 16:18:59.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.16 2007/08/11 10:18:16 kls Exp $
+# $Id: Makefile 1.18 2007/08/19 14:18:59 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -49,6 +49,10 @@
 
 OBJS = $(PLUGIN).o
 
+### The main target:
+
+all: libvdr-$(PLUGIN).so i18n
+
 ### Implicit rules:
 
 %.o: %.c
@@ -85,13 +89,11 @@
 	@mkdir -p $(LOCALEDIR)
 	for i in $(I18Ndirs); do\
 	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
-	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/$(PLUGIN).mo;\
+	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/vdr-$(PLUGIN).mo;\
 	    done
 
 ### Targets:
 
-all: libvdr-$(PLUGIN).so i18n
-
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
diff -ruN vdr-1.5.7/PLUGINS/src/hello/hello.c vdr-1.5.8/PLUGINS/src/hello/hello.c
--- vdr-1.5.7/PLUGINS/src/hello/hello.c	2007-08-11 11:31:17.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/hello/hello.c	2007-08-15 15:17:16.000000000 +0200
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: hello.c 1.13 2007/08/11 09:31:17 kls Exp $
+ * $Id: hello.c 1.14 2007/08/15 13:17:16 kls Exp $
  */
 
 #include <getopt.h>
@@ -12,7 +12,7 @@
 #include <vdr/interface.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.2.0";
+static const char *VERSION        = "0.2.1";
 static const char *DESCRIPTION    = trNOOP("A friendly greeting");
 static const char *MAINMENUENTRY  = trNOOP("Hello");
 
diff -ruN vdr-1.5.7/PLUGINS/src/osddemo/HISTORY vdr-1.5.8/PLUGINS/src/osddemo/HISTORY
--- vdr-1.5.7/PLUGINS/src/osddemo/HISTORY	2004-04-30 17:04:56.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/osddemo/HISTORY	2007-08-15 15:17:40.000000000 +0200
@@ -12,3 +12,8 @@
 2004-04-30: Version 0.1.1
 
 - New OSD handling.
+
+2007-08-15: Version 0.1.2
+
+- Moved the "all" target in the Makefile before the "Implicit rules",
+  so that a plain "make" will compile everything.
diff -ruN vdr-1.5.7/PLUGINS/src/osddemo/Makefile vdr-1.5.8/PLUGINS/src/osddemo/Makefile
--- vdr-1.5.7/PLUGINS/src/osddemo/Makefile	2006-09-09 14:38:35.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/osddemo/Makefile	2007-08-15 15:05:24.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.9 2006/09/09 12:38:35 kls Exp $
+# $Id: Makefile 1.10 2007/08/15 13:05:24 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -47,6 +47,10 @@
 
 OBJS = $(PLUGIN).o
 
+### The main target:
+
+all: libvdr-$(PLUGIN).so
+
 ### Implicit rules:
 
 %.o: %.c
@@ -63,8 +67,6 @@
 
 ### Targets:
 
-all: libvdr-$(PLUGIN).so
-
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
diff -ruN vdr-1.5.7/PLUGINS/src/osddemo/osddemo.c vdr-1.5.8/PLUGINS/src/osddemo/osddemo.c
--- vdr-1.5.7/PLUGINS/src/osddemo/osddemo.c	2004-05-16 11:28:51.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/osddemo/osddemo.c	2007-08-15 15:17:55.000000000 +0200
@@ -3,12 +3,12 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: osddemo.c 1.3 2004/05/16 09:28:51 kls Exp $
+ * $Id: osddemo.c 1.4 2007/08/15 13:17:55 kls Exp $
  */
 
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.1.1";
+static const char *VERSION        = "0.1.2";
 static const char *DESCRIPTION    = "Demo of arbitrary OSD setup";
 static const char *MAINMENUENTRY  = "Osd Demo";
 
diff -ruN vdr-1.5.7/PLUGINS/src/servicedemo/HISTORY vdr-1.5.8/PLUGINS/src/servicedemo/HISTORY
--- vdr-1.5.7/PLUGINS/src/servicedemo/HISTORY	2005-08-21 12:35:27.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/servicedemo/HISTORY	2007-08-15 15:18:16.000000000 +0200
@@ -4,3 +4,8 @@
 2005-08-21: Version 0.1.1
 
 - Initial revision.
+
+2007-08-15: Version 0.1.2
+
+- Moved the "all" target in the Makefile before the "Implicit rules",
+  so that a plain "make" will compile everything.
diff -ruN vdr-1.5.7/PLUGINS/src/servicedemo/Makefile vdr-1.5.8/PLUGINS/src/servicedemo/Makefile
--- vdr-1.5.7/PLUGINS/src/servicedemo/Makefile	2006-09-09 14:38:35.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/servicedemo/Makefile	2007-08-15 15:05:42.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.8 2006/09/09 12:38:35 kls Exp $
+# $Id: Makefile 1.9 2007/08/15 13:05:42 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -49,6 +49,10 @@
 
 OBJS = $(PLUGIN1).o $(PLUGIN2).o
 
+### The main target:
+
+all: libvdr-$(PLUGIN1).so libvdr-$(PLUGIN2).so
+
 ### Implicit rules:
 
 %.o: %.c
@@ -65,8 +69,6 @@
 
 ### Targets:
 
-all: libvdr-$(PLUGIN1).so libvdr-$(PLUGIN2).so
-
 libvdr-$(PLUGIN1).so: $(PLUGIN1).o
 	$(CXX) $(CXXFLAGS) -shared $(PLUGIN1).o -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
diff -ruN vdr-1.5.7/PLUGINS/src/servicedemo/svccli.c vdr-1.5.8/PLUGINS/src/servicedemo/svccli.c
--- vdr-1.5.7/PLUGINS/src/servicedemo/svccli.c	2005-08-21 12:44:29.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/servicedemo/svccli.c	2007-08-15 15:18:08.000000000 +0200
@@ -3,14 +3,14 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: svccli.c 1.1 2005/08/21 10:44:29 kls Exp $
+ * $Id: svccli.c 1.2 2007/08/15 13:18:08 kls Exp $
  */
 
 #include <stdlib.h>
 #include <vdr/interface.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.1.1";
+static const char *VERSION        = "0.1.2";
 static const char *DESCRIPTION    = "Service demo client";
 static const char *MAINMENUENTRY  = "Service demo";
 
diff -ruN vdr-1.5.7/PLUGINS/src/servicedemo/svcsvr.c vdr-1.5.8/PLUGINS/src/servicedemo/svcsvr.c
--- vdr-1.5.7/PLUGINS/src/servicedemo/svcsvr.c	2005-08-21 12:44:24.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/servicedemo/svcsvr.c	2007-08-15 15:18:59.000000000 +0200
@@ -3,14 +3,14 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: svcsvr.c 1.1 2005/08/21 10:44:24 kls Exp $
+ * $Id: svcsvr.c 1.2 2007/08/15 13:18:59 kls Exp $
  */
 
 #include <stdlib.h>
 #include <vdr/interface.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.1.1";
+static const char *VERSION        = "0.1.2";
 static const char *DESCRIPTION    = "Service demo server";
 
 class cPluginSvcSvr : public cPlugin {
diff -ruN vdr-1.5.7/PLUGINS/src/skincurses/HISTORY vdr-1.5.8/PLUGINS/src/skincurses/HISTORY
--- vdr-1.5.7/PLUGINS/src/skincurses/HISTORY	2007-07-20 16:45:44.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/skincurses/HISTORY	2007-08-15 15:58:21.000000000 +0200
@@ -51,3 +51,9 @@
 2007-07-20: Version 0.1.2
 
 - Fixed clearing color buttons.
+
+2007-08-15: Version 0.1.3
+
+- Moved the "all" target in the Makefile before the "Implicit rules",
+  so that a plain "make" will compile everything.
+- Added internationalization.
diff -ruN vdr-1.5.7/PLUGINS/src/skincurses/Makefile vdr-1.5.8/PLUGINS/src/skincurses/Makefile
--- vdr-1.5.7/PLUGINS/src/skincurses/Makefile	2007-06-10 18:19:08.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/skincurses/Makefile	2007-08-19 16:19:07.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.8 2007/06/10 16:19:08 kls Exp $
+# $Id: Makefile 1.11 2007/08/19 14:19:07 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -47,6 +47,10 @@
 
 OBJS = $(PLUGIN).o
 
+### The main target:
+
+all: libvdr-$(PLUGIN).so i18n
+
 ### Implicit rules:
 
 %.o: %.c
@@ -61,9 +65,32 @@
 
 -include $(DEPFILE)
 
-### Targets:
+### Internationalization (I18N):
 
-all: libvdr-$(PLUGIN).so
+PODIR     = po
+LOCALEDIR = $(VDRDIR)/locale
+I18Npo    = $(wildcard $(PODIR)/*.po)
+I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
+I18Ndirs  = $(notdir $(foreach file, $(I18Npo), $(basename $(file))))
+I18Npot   = $(PODIR)/$(PLUGIN).pot
+
+%.mo: %.po
+	msgfmt -c -o $@ $<
+
+$(I18Npot): $(wildcard *.c)
+	xgettext -C -cTRANSLATORS --no-wrap -F -k -ktr -ktrNOOP --msgid-bugs-address='<vdr-bugs@cadsoft.de>' -o $@ $(wildcard *.c)
+
+$(I18Npo): $(I18Npot)
+	msgmerge -U --no-wrap -F --backup=none -q $@ $<
+
+i18n: $(I18Nmo)
+	@mkdir -p $(LOCALEDIR)
+	for i in $(I18Ndirs); do\
+	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
+	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/vdr-$(PLUGIN).mo;\
+	    done
+
+### Targets:
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -lncursesw -o $@
@@ -78,4 +105,5 @@
 	@echo Distribution package created as $(PACKAGE).tgz
 
 clean:
+	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
 	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~
diff -ruN vdr-1.5.7/PLUGINS/src/skincurses/po/de_DE.po vdr-1.5.8/PLUGINS/src/skincurses/po/de_DE.po
--- vdr-1.5.7/PLUGINS/src/skincurses/po/de_DE.po	1970-01-01 01:00:00.000000000 +0100
+++ vdr-1.5.8/PLUGINS/src/skincurses/po/de_DE.po	2007-08-15 16:08:40.000000000 +0200
@@ -0,0 +1,32 @@
+# VDR plugin language source file.
+# Copyright (C) 2007 Klaus Schmidinger <kls@cadsoft.de>
+# This file is distributed under the same license as the VDR package.
+# Klaus Schmidinger <kls@cadsoft.de>, 2007
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: VDR 1.5.7\n"
+"Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
+"POT-Creation-Date: 2007-08-15 16:04+0200\n"
+"PO-Revision-Date: 2007-08-15 16:07+0200\n"
+"Last-Translator: Klaus Schmidinger <kls@cadsoft.de>\n"
+"Language-Team: <vdr@linuxtv.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-15\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: skincurses.c:15
+msgid "A text only skin"
+msgstr "Eine reine Text-Oberflche"
+
+#: skincurses.c:566
+msgid "Key$Mute"
+msgstr "Stumm"
+
+#: skincurses.c:569
+msgid "Volume "
+msgstr "Lautstrke"
+
+#: skincurses.c:699
+msgid "Text mode"
+msgstr "Text-Modus"
diff -ruN vdr-1.5.7/PLUGINS/src/skincurses/po/fi_FI.po vdr-1.5.8/PLUGINS/src/skincurses/po/fi_FI.po
--- vdr-1.5.7/PLUGINS/src/skincurses/po/fi_FI.po	1970-01-01 01:00:00.000000000 +0100
+++ vdr-1.5.8/PLUGINS/src/skincurses/po/fi_FI.po	2007-08-15 16:03:13.000000000 +0200
@@ -0,0 +1,32 @@
+# VDR plugin language source file.
+# Copyright (C) 2007 Klaus Schmidinger <kls@cadsoft.de>
+# This file is distributed under the same license as the VDR package.
+# Rolf Ahrenberg <rahrenbe@cc.hut.fi>, 2007
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: VDR 1.5.7\n"
+"Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
+"POT-Creation-Date: 2007-08-14 20:54+0300\n"
+"PO-Revision-Date: 2007-08-14 20:48+0300\n"
+"Last-Translator: Rolf Ahrenberg <rahrenbe@cc.hut.fi>\n"
+"Language-Team: <vdr@linuxtv.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-15\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: skincurses.c:15
+msgid "A text only skin"
+msgstr "Tekstipohjainen ulkoasu"
+
+#: skincurses.c:566
+msgid "Key$Mute"
+msgstr "Mykistys"
+
+#: skincurses.c:569
+msgid "Volume "
+msgstr "nenvoimakkuus "
+
+#: skincurses.c:699
+msgid "Text mode"
+msgstr "Teksti"
diff -ruN vdr-1.5.7/PLUGINS/src/skincurses/skincurses.c vdr-1.5.8/PLUGINS/src/skincurses/skincurses.c
--- vdr-1.5.7/PLUGINS/src/skincurses/skincurses.c	2007-07-20 16:45:07.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/skincurses/skincurses.c	2007-08-15 16:01:54.000000000 +0200
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: skincurses.c 1.15 2007/07/20 14:45:07 kls Exp $
+ * $Id: skincurses.c 1.17 2007/08/15 14:01:54 kls Exp $
  */
 
 #include <ncurses.h>
@@ -11,8 +11,8 @@
 #include <vdr/plugin.h>
 #include <vdr/skins.h>
 
-static const char *VERSION        = "0.1.2";
-static const char *DESCRIPTION    = "A text only skin";
+static const char *VERSION        = "0.1.3";
+static const char *DESCRIPTION    = trNOOP("A text only skin");
 static const char *MAINMENUENTRY  = NULL;
 
 // --- cCursesFont -----------------------------------------------------------
@@ -738,13 +738,13 @@
   cPluginSkinCurses(void);
   virtual ~cPluginSkinCurses();
   virtual const char *Version(void) { return VERSION; }
-  virtual const char *Description(void) { return DESCRIPTION; }
+  virtual const char *Description(void) { return tr(DESCRIPTION); }
   virtual const char *CommandLineHelp(void);
   virtual bool ProcessArgs(int argc, char *argv[]);
   virtual bool Initialize(void);
   virtual bool Start(void);
   virtual void Housekeeping(void);
-  virtual const char *MainMenuEntry(void) { return MAINMENUENTRY; }
+  virtual const char *MainMenuEntry(void) { return tr(MAINMENUENTRY); }
   virtual cOsdObject *MainMenuAction(void);
   virtual cMenuSetupPage *SetupMenu(void);
   virtual bool SetupParse(const char *Name, const char *Value);
diff -ruN vdr-1.5.7/PLUGINS/src/sky/HISTORY vdr-1.5.8/PLUGINS/src/sky/HISTORY
--- vdr-1.5.7/PLUGINS/src/sky/HISTORY	2006-12-02 10:55:31.000000000 +0100
+++ vdr-1.5.8/PLUGINS/src/sky/HISTORY	2007-08-15 15:19:38.000000000 +0200
@@ -54,3 +54,8 @@
   use the new option -U of getskyepg.pl to have the information added to the URL
   as a query string.
 - The getskyepg.pl script now replaces "&amp;" with "&".
+
+2007-08-15:Version 0.3.6
+
+- Moved the "all" target in the Makefile before the "Implicit rules",
+  so that a plain "make" will compile everything.
diff -ruN vdr-1.5.7/PLUGINS/src/sky/Makefile vdr-1.5.8/PLUGINS/src/sky/Makefile
--- vdr-1.5.7/PLUGINS/src/sky/Makefile	2006-09-09 14:38:35.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/sky/Makefile	2007-08-15 15:06:08.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.9 2006/09/09 12:38:35 kls Exp $
+# $Id: Makefile 1.10 2007/08/15 13:06:08 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -47,6 +47,10 @@
 
 OBJS = $(PLUGIN).o
 
+### The main target:
+
+all: libvdr-$(PLUGIN).so
+
 ### Implicit rules:
 
 %.o: %.c
@@ -63,8 +67,6 @@
 
 ### Targets:
 
-all: libvdr-$(PLUGIN).so
-
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
diff -ruN vdr-1.5.7/PLUGINS/src/sky/sky.c vdr-1.5.8/PLUGINS/src/sky/sky.c
--- vdr-1.5.7/PLUGINS/src/sky/sky.c	2006-03-26 11:21:10.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/sky/sky.c	2007-08-15 15:19:24.000000000 +0200
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: sky.c 1.13 2006/03/26 09:21:10 kls Exp $
+ * $Id: sky.c 1.14 2007/08/15 13:19:24 kls Exp $
  */
 
 #include <sys/socket.h>
@@ -15,7 +15,7 @@
 #include <vdr/plugin.h>
 #include <vdr/sources.h>
 
-static const char *VERSION        = "0.3.5";
+static const char *VERSION        = "0.3.6";
 static const char *DESCRIPTION    = "Sky Digibox interface";
 
 // --- cDigiboxDevice --------------------------------------------------------
diff -ruN vdr-1.5.7/PLUGINS/src/status/HISTORY vdr-1.5.8/PLUGINS/src/status/HISTORY
--- vdr-1.5.7/PLUGINS/src/status/HISTORY	2005-12-31 16:20:19.000000000 +0100
+++ vdr-1.5.8/PLUGINS/src/status/HISTORY	2007-08-15 15:19:52.000000000 +0200
@@ -35,3 +35,8 @@
 2005-12-31: Version 0.2.0
 
 - API change in cStatus.
+
+2007-08-15: Version 0.2.1
+
+- Moved the "all" target in the Makefile before the "Implicit rules",
+  so that a plain "make" will compile everything.
diff -ruN vdr-1.5.7/PLUGINS/src/status/Makefile vdr-1.5.8/PLUGINS/src/status/Makefile
--- vdr-1.5.7/PLUGINS/src/status/Makefile	2006-09-09 14:38:35.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/status/Makefile	2007-08-15 15:06:17.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.13 2006/09/09 12:38:35 kls Exp $
+# $Id: Makefile 1.14 2007/08/15 13:06:17 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -47,6 +47,10 @@
 
 OBJS = $(PLUGIN).o
 
+### The main target:
+
+all: libvdr-$(PLUGIN).so
+
 ### Implicit rules:
 
 %.o: %.c
@@ -63,8 +67,6 @@
 
 ### Targets:
 
-all: libvdr-$(PLUGIN).so
-
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
diff -ruN vdr-1.5.7/PLUGINS/src/status/status.c vdr-1.5.8/PLUGINS/src/status/status.c
--- vdr-1.5.7/PLUGINS/src/status/status.c	2005-12-31 16:19:45.000000000 +0100
+++ vdr-1.5.8/PLUGINS/src/status/status.c	2007-08-15 15:19:44.000000000 +0200
@@ -3,13 +3,13 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: status.c 1.8 2005/12/31 15:19:45 kls Exp $
+ * $Id: status.c 1.9 2007/08/15 13:19:44 kls Exp $
  */
 
 #include <vdr/plugin.h>
 #include <vdr/status.h>
 
-static const char *VERSION        = "0.2.0";
+static const char *VERSION        = "0.2.1";
 static const char *DESCRIPTION    = "Status monitor test";
 static const char *MAINMENUENTRY  = NULL;
 
diff -ruN vdr-1.5.7/PLUGINS/src/svdrpdemo/HISTORY vdr-1.5.8/PLUGINS/src/svdrpdemo/HISTORY
--- vdr-1.5.7/PLUGINS/src/svdrpdemo/HISTORY	2005-08-28 23:11:00.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/svdrpdemo/HISTORY	2007-08-15 15:20:04.000000000 +0200
@@ -8,3 +8,8 @@
 2005-08-28: Version 0.0.2
 
 - Removed unused MAINMENUENTRY.
+
+2007-08-15: Version 0.0.3
+
+- Moved the "all" target in the Makefile before the "Implicit rules",
+  so that a plain "make" will compile everything.
diff -ruN vdr-1.5.7/PLUGINS/src/svdrpdemo/Makefile vdr-1.5.8/PLUGINS/src/svdrpdemo/Makefile
--- vdr-1.5.7/PLUGINS/src/svdrpdemo/Makefile	2006-09-09 14:38:35.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/svdrpdemo/Makefile	2007-08-15 15:06:28.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.7 2006/09/09 12:38:35 kls Exp $
+# $Id: Makefile 1.8 2007/08/15 13:06:28 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -47,6 +47,10 @@
 
 OBJS = $(PLUGIN).o
 
+### The main target:
+
+all: libvdr-$(PLUGIN).so
+
 ### Implicit rules:
 
 %.o: %.c
@@ -63,8 +67,6 @@
 
 ### Targets:
 
-all: libvdr-$(PLUGIN).so
-
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
diff -ruN vdr-1.5.7/PLUGINS/src/svdrpdemo/svdrpdemo.c vdr-1.5.8/PLUGINS/src/svdrpdemo/svdrpdemo.c
--- vdr-1.5.7/PLUGINS/src/svdrpdemo/svdrpdemo.c	2005-08-28 23:11:14.000000000 +0200
+++ vdr-1.5.8/PLUGINS/src/svdrpdemo/svdrpdemo.c	2007-08-15 15:19:57.000000000 +0200
@@ -3,12 +3,12 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: svdrpdemo.c 1.2 2005/08/28 21:11:14 kls Exp $
+ * $Id: svdrpdemo.c 1.3 2007/08/15 13:19:57 kls Exp $
  */
 
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.0.2";
+static const char *VERSION        = "0.0.3";
 static const char *DESCRIPTION    = "How to add SVDRP support to a plugin";
 
 class cPluginSvdrpdemo : public cPlugin {
diff -ruN vdr-1.5.7/config.h vdr-1.5.8/config.h
--- vdr-1.5.7/config.h	2007-08-10 15:01:52.000000000 +0200
+++ vdr-1.5.8/config.h	2007-08-12 22:38:10.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 1.296 2007/08/10 13:01:52 kls Exp $
+ * $Id: config.h 1.297 2007/08/12 20:38:10 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -22,13 +22,13 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.5.7"
-#define VDRVERSNUM   10507  // Version * 10000 + Major * 100 + Minor
+#define VDRVERSION  "1.5.8"
+#define VDRVERSNUM   10508  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
 
-#define APIVERSION  "1.5.7"
-#define APIVERSNUM   10507  // Version * 10000 + Major * 100 + Minor
+#define APIVERSION  "1.5.8"
+#define APIVERSNUM   10508  // Version * 10000 + Major * 100 + Minor
 
 // When loading plugins, VDR searches them by their APIVERSION, which
 // may be smaller than VDRVERSION in case there have been no changes to
diff -ruN vdr-1.5.7/dvbdevice.c vdr-1.5.8/dvbdevice.c
--- vdr-1.5.7/dvbdevice.c	2007-02-25 12:46:52.000000000 +0100
+++ vdr-1.5.8/dvbdevice.c	2007-08-17 15:37:56.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: dvbdevice.c 1.164 2007/02/25 11:46:52 kls Exp $
+ * $Id: dvbdevice.c 1.165 2007/08/17 13:37:56 kls Exp $
  */
 
 #include "dvbdevice.h"
@@ -793,18 +793,25 @@
 
 bool cDvbDevice::SetChannelDevice(const cChannel *Channel, bool LiveView)
 {
+  int apid = Channel->Apid(0);
+  int vpid = Channel->Vpid();
+  int dpid = Channel->Dpid(0);
+
   bool DoTune = !dvbTuner->IsTunedTo(Channel);
 
+  bool pidHandlesVideo = pidHandles[ptVideo].pid == vpid;
+  bool pidHandlesAudio = pidHandles[ptAudio].pid == apid;
+
   bool TurnOffLivePIDs = HasDecoder()
                          && (DoTune
                             || !IsPrimaryDevice()
                             || LiveView // for a new live view the old PIDs need to be turned off
-                            || pidHandles[ptVideo].pid == Channel->Vpid() // for recording the PIDs must be shifted from DMX_PES_AUDIO/VIDEO to DMX_PES_OTHER
+                            || pidHandlesVideo // for recording the PIDs must be shifted from DMX_PES_AUDIO/VIDEO to DMX_PES_OTHER
                             );
 
   bool StartTransferMode = IsPrimaryDevice() && !DoTune
-                           && (LiveView && HasPid(Channel->Vpid() ? Channel->Vpid() : Channel->Apid(0)) && (pidHandles[ptVideo].pid != Channel->Vpid() || (pidHandles[ptAudio].pid != Channel->Apid(0) && (Channel->Dpid(0) ? pidHandles[ptAudio].pid != Channel->Dpid(0) : true)))// the PID is already set as DMX_PES_OTHER
-                              || !LiveView && (pidHandles[ptVideo].pid == Channel->Vpid() || pidHandles[ptAudio].pid == Channel->Apid(0)) // a recording is going to shift the PIDs from DMX_PES_AUDIO/VIDEO to DMX_PES_OTHER
+                           && (LiveView && HasPid(vpid ? vpid : apid) && (!pidHandlesVideo || (!pidHandlesAudio && (dpid ? pidHandles[ptAudio].pid != dpid : true)))// the PID is already set as DMX_PES_OTHER
+                              || !LiveView && (pidHandlesVideo || pidHandlesAudio) // a recording is going to shift the PIDs from DMX_PES_AUDIO/VIDEO to DMX_PES_OTHER
                               );
   if (CamSlot() && !ChannelCamRelations.CamDecrypt(Channel->GetChannelID(), CamSlot()->SlotNumber()))
      StartTransferMode |= LiveView && IsPrimaryDevice() && Channel->Ca() >= CA_ENCRYPTED_MIN;
@@ -836,7 +843,7 @@
 
   if (TurnOnLivePIDs) {
      SetAudioBypass(false);
-     if (!(AddPid(Channel->Ppid(), ptPcr) && AddPid(Channel->Vpid(), ptVideo) && AddPid(Channel->Apid(0), ptAudio))) {
+     if (!(AddPid(Channel->Ppid(), ptPcr) && AddPid(vpid, ptVideo) && AddPid(apid, ptAudio))) {
         esyslog("ERROR: failed to set PIDs for channel %d on device %d", Channel->Number(), CardIndex() + 1);
         return false;
         }
@@ -848,7 +855,7 @@
      CHECK(ioctl(fd_audio, AUDIO_SET_AV_SYNC, true));
      }
   else if (StartTransferMode)
-     cControl::Launch(new cTransferControl(this, Channel->GetChannelID(), Channel->Vpid(), Channel->Apids(), Channel->Dpids(), Channel->Spids()));
+     cControl::Launch(new cTransferControl(this, Channel->GetChannelID(), vpid, Channel->Apids(), Channel->Dpids(), Channel->Spids()));
 
   return true;
 }
diff -ruN vdr-1.5.7/i18n-to-gettext.pl vdr-1.5.8/i18n-to-gettext.pl
--- vdr-1.5.7/i18n-to-gettext.pl	2007-08-12 12:02:01.000000000 +0200
+++ vdr-1.5.8/i18n-to-gettext.pl	2007-08-15 14:52:00.000000000 +0200
@@ -10,7 +10,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: i18n-to-gettext.pl 1.2 2007/08/12 10:02:01 kls Exp $
+# $Id: i18n-to-gettext.pl 1.3 2007/08/15 12:52:00 kls Exp $
 
 # How to convert an actual plugin:
 #
@@ -75,7 +75,7 @@
 # Locate the file containing the texts:
 
 $I18NFILE = "";
-for ("i18n.c", `ls *.c`) { # try i18n.c explicitly first
+for ("i18n.c", "i18n.h", `ls *.c`) { # try i18n.[ch] explicitly first
     chomp($f = $_);
     if (-f $f && `grep tI18nPhrase $f`) {
        $I18NFILE = $f;
@@ -204,13 +204,28 @@
 # Collect all translated texts:
 
 open(F, $I18NFILE) || die "$I18NFILE: $!\n";
+$InComment = 0;
 while (<F>) {
       chomp;
       s/\t/ /g; # get rid of tabs
       s/  *$//; # get rid of trailing blanks
       s/^ *\/\/.*//; # remove comment lines
-      s/, *\/\/.*/,/; # strip trailing comments
+      s/ *\/\/.*//; # strip trailing comments
+      s/\/\*.*\*\///g; # strip c comments
+      if (/\/\*/) {
+         $InComment = 1;
+         s/\/\*.*$//; # remove start of comment
+         }
+      elsif (/\*\//) {
+         $InComment = 0;
+         s/^.*\*\///; # remove end of comment
+         }
+      elsif ($InComment) {
+         next;
+         }
       next if (/^ *$/); # skip empty lines
+      next if (/#if/);
+      next if (/#endif/);
       next unless ($found or $found = /const *tI18nPhrase .*{/); # sync on phrases
       next if (/const *tI18nPhrase .*{/); # skip sync line
       last if (/{ *NULL *}/); # stop after last phrase
@@ -324,7 +339,7 @@
          $_ .= " i18n";
          }
       elsif (/^clean:/) {
-	 $_ .= "\n\t\@-rm -f \$(PODIR)/*.mo \$(PODIR)/*.pot";
+         $_ .= "\n\t\@-rm -f \$(PODIR)/*.mo \$(PODIR)/*.pot";
          }
       print NEW "$_\n";
       }
diff -ruN vdr-1.5.7/i18n.c vdr-1.5.8/i18n.c
--- vdr-1.5.7/i18n.c	2007-08-12 14:15:29.000000000 +0200
+++ vdr-1.5.8/i18n.c	2007-08-19 16:10:46.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: i18n.c 1.308 2007/08/12 12:15:29 kls Exp $
+ * $Id: i18n.c 1.312 2007/08/19 14:10:46 kls Exp $
  *
  *
  */
@@ -23,6 +23,7 @@
 #include <ctype.h>
 #include <libintl.h>
 #include <locale.h>
+#include <unistd.h>
 #include "tools.h"
 
 // TRANSLATORS: The name of the language, as written natively
@@ -67,6 +68,7 @@
 static cStringList LanguageNames;
 static cStringList LanguageCodes;
 
+static int NumLocales = 1;
 static int CurrentLanguage = 0;
 
 static bool ContainsCode(const char *Codes, const char *Code)
@@ -90,6 +92,13 @@
   return p ? p + 1 : s;
 }
 
+static void SetEnvLanguage(const char *Locale)
+{
+  setenv("LANGUAGE", Locale, 1);
+  extern int _nl_msg_cat_cntr;
+  ++_nl_msg_cat_cntr;
+}
+
 void I18nInitialize(void)
 {
   LanguageLocales.Append(strdup(I18N_DEFAULT_LOCALE));
@@ -99,11 +108,13 @@
   bindtextdomain("vdr", I18nLocaleDir);
   cFileNameList Locales(I18nLocaleDir, true);
   if (Locales.Size() > 0) {
-     dsyslog("found %d locales in %s", Locales.Size(), I18nLocaleDir);
      char *OldLocale = strdup(setlocale(LC_MESSAGES, NULL));
      for (int i = 0; i < Locales.Size(); i++) {
-         if (i < I18N_MAX_LANGUAGES - 1) {
-            if (setlocale(LC_MESSAGES, Locales[i])) {
+         cString FileName = cString::sprintf("%s/%s/LC_MESSAGES/vdr.mo", I18nLocaleDir, Locales[i]);
+         if (access(FileName, F_OK) == 0) { // found a locale with VDR texts
+            if (i < I18N_MAX_LANGUAGES - 1) {
+               SetEnvLanguage(Locales[i]);
+               NumLocales++;
                if (strstr(OldLocale, Locales[i]) == OldLocale)
                   CurrentLanguage = LanguageLocales.Size();
                LanguageLocales.Append(strdup(Locales[i]));
@@ -117,12 +128,15 @@
                    }
                LanguageCodes.Append(strdup(Code));
                }
+            else {
+               esyslog("ERROR: too many locales - increase I18N_MAX_LANGUAGES!");
+               break;
+               }
             }
-         else
-            esyslog("ERROR: too many locales - increase I18N_MAX_LANGUAGES!");
          }
-     setlocale(LC_MESSAGES, OldLocale);
+     SetEnvLanguage(LanguageLocales[CurrentLanguage]);
      free(OldLocale);
+     dsyslog("found %d locales in %s", NumLocales - 1, I18nLocaleDir);
      }
   // Prepare any known language codes for which there was no locale:
   for (const char **lc = LanguageCodeList; *lc; lc++) {
@@ -144,7 +158,8 @@
 
 void I18nRegister(const char *Plugin)
 {
-  bindtextdomain(Plugin, I18nLocaleDir);
+  cString Domain = cString::sprintf("vdr-%s", Plugin);
+  bindtextdomain(Domain, I18nLocaleDir);
 }
 
 void I18nSetLocale(const char *Locale)
@@ -153,7 +168,7 @@
      int i = LanguageLocales.Find(Locale);
      if (i >= 0) {
         CurrentLanguage = i;
-        setlocale(LC_MESSAGES, Locale);
+        SetEnvLanguage(Locale);
         }
      else
         dsyslog("unknown locale: '%s'", Locale);
@@ -173,6 +188,11 @@
      }
 }
 
+int I18nNumLanguagesWithLocale(void)
+{
+  return NumLocales;
+}
+
 const cStringList *I18nLanguages(void)
 {
   return &LanguageNames;
@@ -180,6 +200,8 @@
 
 const char *I18nTranslate(const char *s, const char *Plugin)
 {
+  if (!s)
+     return s;
   if (CurrentLanguage) {
      const char *t = s;
      if (Plugin)
diff -ruN vdr-1.5.7/i18n.h vdr-1.5.8/i18n.h
--- vdr-1.5.7/i18n.h	2007-08-10 15:53:57.000000000 +0200
+++ vdr-1.5.8/i18n.h	2007-08-19 16:07:17.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: i18n.h 1.21 2007/08/10 13:53:57 kls Exp $
+ * $Id: i18n.h 1.23 2007/08/19 14:07:17 kls Exp $
  */
 
 #ifndef __I18N_H
@@ -36,9 +36,16 @@
 void I18nSetLanguage(int Language);
    ///< Sets the current language index to Language. If Language is outside
    ///< the range of available languages, nothing happens.
+int I18nNumLanguagesWithLocale(void);
+   ///< Returns the number of entries in the list returned by I18nLanguages()
+   ///< that actually have a locale.
 const cStringList *I18nLanguages(void);
    ///< Returns the list of available languages. Values returned by
    ///< I18nCurrentLanguage() are indexes into this list.
+   ///< Only the first I18nNumLanguagesWithLocale() entries in this list
+   ///< have an actual locale installed. The rest are just dummy entries
+   ///< to allow having three letter language codes for other languages
+   ///< that have no actual locale on this system.
 const char *I18nTranslate(const char *s, const char *Plugin = NULL) __attribute_format_arg__(1);
    ///< Translates the given string (with optional Plugin context) into
    ///< the current language. If no translation is available, the original
@@ -72,7 +79,7 @@
    ///< the second one (like "deu" out of ""eng+deu").
 
 #ifdef PLUGIN_NAME_I18N
-#define tr(s)  I18nTranslate(s, PLUGIN_NAME_I18N)
+#define tr(s)  I18nTranslate(s, "vdr-" PLUGIN_NAME_I18N)
 #else
 #define tr(s)  I18nTranslate(s)
 #endif
diff -ruN vdr-1.5.7/menu.c vdr-1.5.8/menu.c
--- vdr-1.5.7/menu.c	2007-08-12 12:44:35.000000000 +0200
+++ vdr-1.5.8/menu.c	2007-08-18 11:03:05.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: menu.c 1.459 2007/08/12 10:44:35 kls Exp $
+ * $Id: menu.c 1.460 2007/08/18 09:03:05 kls Exp $
  */
 
 #include "menu.h"
@@ -2205,7 +2205,7 @@
   useSmallFontTexts[2] = tr("always");
   Clear();
   SetSection(tr("OSD"));
-  Add(new cMenuEditStraItem(tr("Setup.OSD$Language"),               &osdLanguageIndex, I18nLanguages()->Size(), &I18nLanguages()->At(0)));
+  Add(new cMenuEditStraItem(tr("Setup.OSD$Language"),               &osdLanguageIndex, I18nNumLanguagesWithLocale(), &I18nLanguages()->At(0)));
   Add(new cMenuEditStraItem(tr("Setup.OSD$Skin"),                   &skinIndex, numSkins, skinDescriptions));
   if (themes.NumThemes())
   Add(new cMenuEditStraItem(tr("Setup.OSD$Theme"),                  &themeIndex, themes.NumThemes(), themes.Descriptions()));
diff -ruN vdr-1.5.7/menuitems.c vdr-1.5.8/menuitems.c
--- vdr-1.5.7/menuitems.c	2007-08-04 11:12:18.000000000 +0200
+++ vdr-1.5.8/menuitems.c	2007-08-17 15:48:07.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: menuitems.c 1.50 2007/08/04 09:12:18 kls Exp $
+ * $Id: menuitems.c 1.51 2007/08/17 13:48:07 kls Exp $
  */
 
 #include "menuitems.h"
@@ -222,7 +222,8 @@
 void cMenuEditChrItem::Set(void)
 {
   char buf[2];
-  snprintf(buf, sizeof(buf), "%c", *value);
+  buf[0] = *value;
+  buf[1] = '\0';
   SetValue(buf);
 }
 
@@ -490,9 +491,7 @@
                  break;
     case kBlue|k_Repeat:
     case kBlue:  // consume the key only if in edit-mode
-                 if (InEditMode())
-                    ;
-                 else
+                 if (!InEditMode())
                     return osUnknown;
                  break;
     case kLeft|k_Repeat:
diff -ruN vdr-1.5.7/newplugin vdr-1.5.8/newplugin
--- vdr-1.5.7/newplugin	2007-08-12 13:04:39.000000000 +0200
+++ vdr-1.5.8/newplugin	2007-08-19 16:19:49.000000000 +0200
@@ -12,7 +12,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: newplugin 1.34 2007/08/12 11:04:39 kls Exp $
+# $Id: newplugin 1.36 2007/08/19 14:19:49 kls Exp $
 
 $PLUGIN_NAME = $ARGV[0] || die "Usage: newplugin <name>\n";
 
@@ -108,6 +108,10 @@
 
 OBJS = \$(PLUGIN).o
 
+### The main target:
+
+all: libvdr-\$(PLUGIN).so i18n
+
 ### Implicit rules:
 
 %.o: %.c
@@ -144,13 +148,11 @@
 	\@mkdir -p \$(LOCALEDIR)
 	for i in \$(I18Ndirs); do\\
 	    mkdir -p \$(LOCALEDIR)/\$\$i/LC_MESSAGES;\\
-	    cp \$(PODIR)/\$\$i.mo \$(LOCALEDIR)/\$\$i/LC_MESSAGES/\$(PLUGIN).mo;\\
+	    cp \$(PODIR)/\$\$i.mo \$(LOCALEDIR)/\$\$i/LC_MESSAGES/vdr-\$(PLUGIN).mo;\\
 	    done
 
 ### Targets:
 
-all: libvdr-\$(PLUGIN).so i18n
-
 libvdr-\$(PLUGIN).so: \$(OBJS)
 	\$(CXX) \$(CXXFLAGS) -shared \$(OBJS) -o \$\@
 	\@cp --remove-destination \$\@ \$(LIBDIR)/\$\@.\$(APIVERSION)
diff -ruN vdr-1.5.7/nit.c vdr-1.5.8/nit.c
--- vdr-1.5.7/nit.c	2007-04-29 13:35:33.000000000 +0200
+++ vdr-1.5.8/nit.c	2007-08-17 16:02:45.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: nit.c 1.14 2007/04/29 11:35:33 kls Exp $
+ * $Id: nit.c 1.15 2007/08/17 14:02:45 kls Exp $
  */
 
 #include "nit.h"
@@ -140,13 +140,14 @@
                         }
                     break;
                     }
-                 bool found = false;
-                 for (cChannel *Channel = Channels.First(); Channel; Channel = Channels.Next(Channel)) {
-                     if (!Channel->GroupSep() && Channel->Source() == Source && Channel->Nid() == ts.getOriginalNetworkId() && Channel->Tid() == ts.getTransportStreamId()) {
-                        if (Setup.UpdateChannels >= 5) {
-                           if (!ISTRANSPONDER(cChannel::Transponder(Frequency, Polarization), Channel->Transponder())) {
+                 if (Setup.UpdateChannels >= 5) {
+                    bool found = false;
+                    for (cChannel *Channel = Channels.First(); Channel; Channel = Channels.Next(Channel)) {
+                        if (!Channel->GroupSep() && Channel->Source() == Source && Channel->Nid() == ts.getOriginalNetworkId() && Channel->Tid() == ts.getTransportStreamId()) {
+                           int transponder = Channel->Transponder();
+                           if (!ISTRANSPONDER(cChannel::Transponder(Frequency, Polarization), transponder)) {
                               for (int n = 0; n < NumFrequencies; n++) {
-                                  if (ISTRANSPONDER(cChannel::Transponder(Frequencies[n], Polarization), Channel->Transponder())) {
+                                  if (ISTRANSPONDER(cChannel::Transponder(Frequencies[n], Polarization), transponder)) {
                                      Frequency = Frequencies[n];
                                      break;
                                      }
@@ -157,16 +158,16 @@
                            }
                         found = true;
                         }
-                     }
-                 if (!found && Setup.UpdateChannels >= 5) {
-                    for (int n = 0; n < NumFrequencies; n++) {
-                        cChannel *Channel = new cChannel;
-                        Channel->SetId(ts.getOriginalNetworkId(), ts.getTransportStreamId(), 0, 0);
-                        if (Channel->SetSatTransponderData(Source, Frequencies[n], Polarization, SymbolRate, CodeRate))
-                           EITScanner.AddTransponder(Channel);
-                        else
-                           delete Channel;
-                        }
+                    if (!found) {
+                       for (int n = 0; n < NumFrequencies; n++) {
+                           cChannel *Channel = new cChannel;
+                           Channel->SetId(ts.getOriginalNetworkId(), ts.getTransportStreamId(), 0, 0);
+                           if (Channel->SetSatTransponderData(Source, Frequencies[n], Polarization, SymbolRate, CodeRate))
+                              EITScanner.AddTransponder(Channel);
+                           else
+                              delete Channel;
+                           }
+                       }
                     }
                  }
                  break;
@@ -190,13 +191,14 @@
                         }
                     break;
                     }
-                 bool found = false;
-                 for (cChannel *Channel = Channels.First(); Channel; Channel = Channels.Next(Channel)) {
-                     if (!Channel->GroupSep() && Channel->Source() == Source && Channel->Nid() == ts.getOriginalNetworkId() && Channel->Tid() == ts.getTransportStreamId()) {
-                        if (Setup.UpdateChannels >= 5) {
-                           if (!ISTRANSPONDER(Frequency / 1000, Channel->Transponder())) {
+                 if (Setup.UpdateChannels >= 5) {
+                    bool found = false;
+                    for (cChannel *Channel = Channels.First(); Channel; Channel = Channels.Next(Channel)) {
+                        if (!Channel->GroupSep() && Channel->Source() == Source && Channel->Nid() == ts.getOriginalNetworkId() && Channel->Tid() == ts.getTransportStreamId()) {
+                           int transponder = Channel->Transponder();
+                           if (!ISTRANSPONDER(Frequency / 1000, transponder)) {
                               for (int n = 0; n < NumFrequencies; n++) {
-                                  if (ISTRANSPONDER(Frequencies[n] / 1000, Channel->Transponder())) {
+                                  if (ISTRANSPONDER(Frequencies[n] / 1000, transponder)) {
                                      Frequency = Frequencies[n];
                                      break;
                                      }
@@ -207,16 +209,16 @@
                            }
                         found = true;
                         }
-                     }
-                 if (!found && Setup.UpdateChannels >= 5) {
-                    for (int n = 0; n < NumFrequencies; n++) {
-                        cChannel *Channel = new cChannel;
-                        Channel->SetId(ts.getOriginalNetworkId(), ts.getTransportStreamId(), 0, 0);
-                        if (Channel->SetCableTransponderData(Source, Frequencies[n], Modulation, SymbolRate, CodeRate))
-                           EITScanner.AddTransponder(Channel);
-                        else
-                           delete Channel;
-                        }
+                    if (!found) {
+                        for (int n = 0; n < NumFrequencies; n++) {
+                           cChannel *Channel = new cChannel;
+                           Channel->SetId(ts.getOriginalNetworkId(), ts.getTransportStreamId(), 0, 0);
+                           if (Channel->SetCableTransponderData(Source, Frequencies[n], Modulation, SymbolRate, CodeRate))
+                              EITScanner.AddTransponder(Channel);
+                           else
+                              delete Channel;
+                           }
+                       }
                     }
                  }
                  break;
@@ -247,13 +249,14 @@
                         }
                     break;
                     }
-                 bool found = false;
-                 for (cChannel *Channel = Channels.First(); Channel; Channel = Channels.Next(Channel)) {
-                     if (!Channel->GroupSep() && Channel->Source() == Source && Channel->Nid() == ts.getOriginalNetworkId() && Channel->Tid() == ts.getTransportStreamId()) {
-                        if (Setup.UpdateChannels >= 5) {
-                           if (!ISTRANSPONDER(Frequency / 1000000, Channel->Transponder())) {
+                 if (Setup.UpdateChannels >= 5) {
+                    bool found = false;
+                    for (cChannel *Channel = Channels.First(); Channel; Channel = Channels.Next(Channel)) {
+                        if (!Channel->GroupSep() && Channel->Source() == Source && Channel->Nid() == ts.getOriginalNetworkId() && Channel->Tid() == ts.getTransportStreamId()) {
+                           int transponder = Channel->Transponder();
+                           if (!ISTRANSPONDER(Frequency / 1000000, transponder)) {
                               for (int n = 0; n < NumFrequencies; n++) {
-                                  if (ISTRANSPONDER(Frequencies[n] / 1000000, Channel->Transponder())) {
+                                  if (ISTRANSPONDER(Frequencies[n] / 1000000, transponder)) {
                                      Frequency = Frequencies[n];
                                      break;
                                      }
@@ -264,15 +267,15 @@
                            }
                         found = true;
                         }
-                     }
-                 if (!found && Setup.UpdateChannels >= 5) {
-                    for (int n = 0; n < NumFrequencies; n++) {
-                        cChannel *Channel = new cChannel;
-                        Channel->SetId(ts.getOriginalNetworkId(), ts.getTransportStreamId(), 0, 0);
-                        if (Channel->SetTerrTransponderData(Source, Frequencies[n], Bandwidth, Constellation, Hierarchy, CodeRateHP, CodeRateLP, GuardInterval, TransmissionMode))
-                           EITScanner.AddTransponder(Channel);
-                        else
-                           delete Channel;
+                    if (!found) {
+                       for (int n = 0; n < NumFrequencies; n++) {
+                           cChannel *Channel = new cChannel;
+                           Channel->SetId(ts.getOriginalNetworkId(), ts.getTransportStreamId(), 0, 0);
+                           if (Channel->SetTerrTransponderData(Source, Frequencies[n], Bandwidth, Constellation, Hierarchy, CodeRateHP, CodeRateLP, GuardInterval, TransmissionMode))
+                              EITScanner.AddTransponder(Channel);
+                           else
+                              delete Channel;
+                           }
                         }
                     }
                  }
diff -ruN vdr-1.5.7/osd.c vdr-1.5.8/osd.c
--- vdr-1.5.7/osd.c	2007-08-12 13:33:17.000000000 +0200
+++ vdr-1.5.8/osd.c	2007-08-17 17:23:50.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: osd.c 1.72 2007/08/12 11:33:17 kls Exp $
+ * $Id: osd.c 1.73 2007/08/17 15:23:50 kls Exp $
  */
 
 #include "osd.h"
@@ -449,13 +449,13 @@
      int w = Font->Width(s);
      int h = Font->Height();
      int limit = 0;
+     int cw = Width ? Width : w;
+     int ch = Height ? Height : h;
+     if (!Intersects(x, y, x + cw - 1, y + ch - 1))
+        return;
+     if (ColorBg != clrTransparent)
+        DrawRectangle(x, y, x + cw - 1, y + ch - 1, ColorBg);
      if (Width || Height) {
-        int cw = Width ? Width : w;
-        int ch = Height ? Height : h;
-        if (!Intersects(x, y, x + cw - 1, y + ch - 1))
-           return;
-        if (ColorBg != clrTransparent)
-           DrawRectangle(x, y, x + cw - 1, y + ch - 1, ColorBg);
         limit = x + cw - x0;
         if (Width) {
            if ((Alignment & taLeft) != 0)
@@ -482,8 +482,6 @@
               }
            }
         }
-     else if (!Intersects(x, y, x + w - 1, y + h - 1))
-        return;
      x -= x0;
      y -= y0;
      Font->DrawText(this, x, y, s, ColorFg, ColorBg, limit);
diff -ruN vdr-1.5.7/po/ca_ES.po vdr-1.5.8/po/ca_ES.po
--- vdr-1.5.7/po/ca_ES.po	2007-08-12 14:17:51.000000000 +0200
+++ vdr-1.5.8/po/ca_ES.po	2007-08-19 13:53:29.000000000 +0200
@@ -9,7 +9,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Jordi Vil <jvila@tinet.org>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -38,12 +38,12 @@
 msgstr ""
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Catal"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "cat"
 
@@ -396,7 +396,7 @@
 msgid "Channels"
 msgstr "Canals"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Esborrar"
 
@@ -1001,7 +1001,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Aquest plugin no admet configuraci!"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Configuraci"
 
@@ -1076,7 +1076,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr ""
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "No hi ha cap dispositiu DVB lliure per gravar!"
 
@@ -1113,23 +1113,23 @@
 msgid "yes"
 msgstr "s"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr ""
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Inserir"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "Sobrescriure"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Plugin"
 
@@ -1234,39 +1234,39 @@
 msgid "Sunday"
 msgstr "Diumenge"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr ""
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr ""
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Prem qualsevol tecla per cancellar l'aturada"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Canviant a la interfcie DVB primria..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Procs d'edici fallit!"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Procs d'edici finalitzat"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/po/cs_CZ.po vdr-1.5.8/po/cs_CZ.po
--- vdr-1.5.7/po/cs_CZ.po	2007-08-12 14:17:59.000000000 +0200
+++ vdr-1.5.8/po/cs_CZ.po	2007-08-19 13:53:29.000000000 +0200
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Vladimr Brta <vladimir.barta@k2atmitec.cz>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -36,12 +36,12 @@
 msgstr "Bez nzvu"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "esky"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "cze"
 
@@ -394,7 +394,7 @@
 msgid "Channels"
 msgstr "Kanly"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Smazat"
 
@@ -999,7 +999,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Modul nem konfiguran parametry!"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Nastaven"
 
@@ -1074,7 +1074,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr "Nedostatek volnho msta k zapoet nahrvn!"
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "dn DVB karta nen voln pro nahrvn"
 
@@ -1111,23 +1111,23 @@
 msgid "yes"
 msgstr "ano"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Vloit"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "Pepsat"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Modul"
 
@@ -1232,39 +1232,39 @@
 msgid "Sunday"
 msgstr "Nedle"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr "Brzo zane nahrvn VPS!"
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr "Zaalo nahrvn"
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Jakkoliv klvesa zru vypnut"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Pepnout primrn DVB..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Editan proces selhal!"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Editan proces skonil"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/po/da_DK.po vdr-1.5.8/po/da_DK.po
--- vdr-1.5.7/po/da_DK.po	2007-08-12 14:18:03.000000000 +0200
+++ vdr-1.5.8/po/da_DK.po	2007-08-19 13:53:29.000000000 +0200
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Mogens Elneff <mogens@elneff.dk>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -36,12 +36,12 @@
 msgstr "Ingen titel"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Dansk"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "dan"
 
@@ -394,7 +394,7 @@
 msgid "Channels"
 msgstr "Kanaler"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Slet"
 
@@ -999,7 +999,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Denne plugin har ingen parametre"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Indstillinger"
 
@@ -1074,7 +1074,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr "For lidt harddisk plads til optagelse!"
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Ingen fri DVB enhed til optagelse!"
 
@@ -1111,23 +1111,23 @@
 msgid "yes"
 msgstr "ja"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Indst"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "Overskriv"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Plugin"
 
@@ -1232,39 +1232,39 @@
 msgid "Sunday"
 msgstr "Sndag"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr "VPS optagelse starter snart!"
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr "Optagelse startet"
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Tryk vilkrlig tast for at annullere sluk"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Skifter primr DVB enhed..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Redigeringsproces fejlede!"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Redigeringsproces afsluttet"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/po/de_DE.po vdr-1.5.8/po/de_DE.po
--- vdr-1.5.7/po/de_DE.po	2007-08-12 14:18:04.000000000 +0200
+++ vdr-1.5.8/po/de_DE.po	2007-08-19 13:53:29.000000000 +0200
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Klaus Schmidinger <kls@cadsoft.de>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -36,12 +36,12 @@
 msgstr "Kein Titel"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Deutsch"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "deu"
 
@@ -394,7 +394,7 @@
 msgid "Channels"
 msgstr "Kanle"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Lschen"
 
@@ -999,7 +999,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Dieses Plugin hat keine Parameter!"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Einstellungen"
 
@@ -1074,7 +1074,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr "Nicht gengend Plattenplatz fr Aufnahme!"
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Keine freie DVB-Karte zum Aufnehmen!"
 
@@ -1111,23 +1111,23 @@
 msgid "yes"
 msgstr "ja"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Einfgen"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "berschreiben"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Plugin"
 
@@ -1232,39 +1232,39 @@
 msgid "Sunday"
 msgstr "Sonntag"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr "VPS-Aufnahme beginnt in Krze!"
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr "Aufzeichnung gestartet"
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr "VDR schaltet spter aus - Power zum erzwingen"
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Taste drcken, um Ausschalten abzubrechen"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Primres Interface wird umgeschaltet..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Schnitt gescheitert!"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Schnitt beendet"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr "Taste drcken, um Neustart abzubrechen"
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr "VDR wird in %s Minuten ausschalten"
diff -ruN vdr-1.5.7/po/el_GR.po vdr-1.5.8/po/el_GR.po
--- vdr-1.5.7/po/el_GR.po	2007-08-12 14:18:05.000000000 +0200
+++ vdr-1.5.8/po/el_GR.po	2007-08-19 13:53:29.000000000 +0200
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Dimitrios Dimitrakos <mail@dimitrios.de>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -36,12 +36,12 @@
 msgstr " "
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr ""
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "ell"
 
@@ -394,7 +394,7 @@
 msgid "Channels"
 msgstr ""
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr ""
 
@@ -999,7 +999,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "     !"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr ""
 
@@ -1074,7 +1074,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr ""
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr " DVB   !"
 
@@ -1111,23 +1111,23 @@
 msgid "yes"
 msgstr ""
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr ""
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "AB/"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr ""
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr ""
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr ""
 
@@ -1232,39 +1232,39 @@
 msgid "Sunday"
 msgstr ""
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr ""
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr ""
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "     "
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "  DVB  ..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "  !"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "  "
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/po/es_ES.po vdr-1.5.8/po/es_ES.po
--- vdr-1.5.7/po/es_ES.po	2007-08-12 14:18:06.000000000 +0200
+++ vdr-1.5.8/po/es_ES.po	2007-08-19 13:53:29.000000000 +0200
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Ruben Nunez Francisco <ruben.nunez@tang-it.com>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -36,12 +36,12 @@
 msgstr "Sin ttulo"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Espaol"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "esl"
 
@@ -394,7 +394,7 @@
 msgid "Channels"
 msgstr "Canales"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Borrar"
 
@@ -999,7 +999,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Este plugin no admite configuracin"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Configuracin"
 
@@ -1074,7 +1074,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr ""
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Ningn dispositivo DVB disponible para grabar!"
 
@@ -1111,23 +1111,23 @@
 msgid "yes"
 msgstr "s"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Insertar"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "Sobreescribir"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Plugin"
 
@@ -1232,39 +1232,39 @@
 msgid "Sunday"
 msgstr "Domingo"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr ""
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr "Iniciando grabacin"
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Pulse una tecla para interrumpir apagar"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Cambiando el interfaz DVB primario..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Proceso de edicin fallido!"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Proceso de edicin terminado"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/po/et_EE.po vdr-1.5.8/po/et_EE.po
--- vdr-1.5.7/po/et_EE.po	2007-08-12 14:18:07.000000000 +0200
+++ vdr-1.5.8/po/et_EE.po	2007-08-19 13:53:29.000000000 +0200
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Arthur Konovalov <kasjas@hot.ee>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -36,12 +36,12 @@
 msgstr "Pealkiri puudub"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "eesti"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "est"
 
@@ -394,7 +394,7 @@
 msgid "Channels"
 msgstr "Kanalid"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Kustuta"
 
@@ -999,7 +999,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Sellel laienudusmoodulil ei ole seadeid!"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Stted"
 
@@ -1074,7 +1074,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr "Ebapiisavalt kettaruumi salvestamise alustamiseks!"
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Puudub vaba DVB seade salvestamiseks!"
 
@@ -1111,23 +1111,23 @@
 msgid "yes"
 msgstr "jah"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Lisa (INS)"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "Asenda (OVR)"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Laiendusmoodul"
 
@@ -1232,39 +1232,39 @@
 msgid "Sunday"
 msgstr "Phapev"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr "VPS salvestamine tulekul!"
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr "Salvestamine algas"
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr "VDR llitub vlja hiljem - vajuta Power kiirendamiseks"
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Vajuta suvalist klahvi vljallitamise thistamiseks"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Esmase DVB seadme mberllitus..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Redigeerimine ebannestus"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Redigeerimine lpetatud"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr "Restardi katkestamiseks vajuta suvalist klahvi"
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr "VDR llitub vlja %s minuti prast"
diff -ruN vdr-1.5.7/po/fi_FI.po vdr-1.5.8/po/fi_FI.po
--- vdr-1.5.7/po/fi_FI.po	2007-08-12 14:18:09.000000000 +0200
+++ vdr-1.5.8/po/fi_FI.po	2007-08-19 13:53:29.000000000 +0200
@@ -10,8 +10,8 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
-"PO-Revision-Date: 2007-08-12 14:17+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
+"PO-Revision-Date: 2007-08-15 15:52+0200\n"
 "Last-Translator: Rolf Ahrenberg <rahrenbe@cc.hut.fi>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
 "MIME-Version: 1.0\n"
@@ -20,7 +20,7 @@
 
 #: channels.c:1077 menu.c:707
 msgid "*** Invalid Channel ***"
-msgstr "*** Virheellinen kanavavalinta! ***"
+msgstr "*** Virheellinen kanavavalinta ***"
 
 #: device.c:634 device.c:670
 msgid "Channel not available!"
@@ -39,12 +39,12 @@
 msgstr "Ei esityst"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "suomi"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "fin"
 
@@ -243,39 +243,39 @@
 
 #: keys.c:58
 msgid "Key$User1"
-msgstr ""
+msgstr "Lisnppin 1"
 
 #: keys.c:59
 msgid "Key$User2"
-msgstr ""
+msgstr "Lisnppin 2"
 
 #: keys.c:60
 msgid "Key$User3"
-msgstr ""
+msgstr "Lisnppin 3"
 
 #: keys.c:61
 msgid "Key$User4"
-msgstr ""
+msgstr "Lisnppin 4"
 
 #: keys.c:62
 msgid "Key$User5"
-msgstr ""
+msgstr "Lisnppin 5"
 
 #: keys.c:63
 msgid "Key$User6"
-msgstr ""
+msgstr "Lisnppin 6"
 
 #: keys.c:64
 msgid "Key$User7"
-msgstr ""
+msgstr "Lisnppin 7"
 
 #: keys.c:65
 msgid "Key$User8"
-msgstr ""
+msgstr "Lisnppin 8"
 
 #: keys.c:66
 msgid "Key$User9"
-msgstr ""
+msgstr "Lisnppin 9"
 
 #: menu.c:69
 msgid "Free To Air"
@@ -397,7 +397,7 @@
 msgid "Channels"
 msgstr "Kanavat"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Poista"
 
@@ -550,7 +550,7 @@
 
 #: menu.c:1754
 msgid "CAM not responding!"
-msgstr ""
+msgstr "CA-moduuli ei vastaa!"
 
 #: menu.c:1784
 msgid "Recording info"
@@ -840,15 +840,15 @@
 
 #: menu.c:2560
 msgid "CAM reset"
-msgstr ""
+msgstr "CAM nollaus"
 
 #: menu.c:2561
 msgid "CAM present"
-msgstr ""
+msgstr "CAM havaittu"
 
 #: menu.c:2562
 msgid "CAM ready"
-msgstr ""
+msgstr "CAM valmis"
 
 #: menu.c:2585 menu.c:2815
 msgid "CAM"
@@ -872,11 +872,11 @@
 
 #: menu.c:2624
 msgid "CAM is in use - really reset?"
-msgstr ""
+msgstr "CA-moduuli kytss - nollataanko?"
 
 #: menu.c:2626
 msgid "Can't reset CAM!"
-msgstr "CA-moduulin palautus alkutilaan eponnistui!"
+msgstr "CA-moduulin nollaus eponnistui!"
 
 #: menu.c:2660 menu.c:2816
 msgid "Recording"
@@ -1002,7 +1002,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Tll laajennoksella ei ole asetuksia!"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Asetukset"
 
@@ -1077,7 +1077,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr "Tallennustilan puute est tallennuksen!"
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Ei vapaata DVB-viritint tallennukselle!"
 
@@ -1114,23 +1114,23 @@
 msgid "yes"
 msgstr "kyll"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Lis"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "Korvaa"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Laajennos"
 
@@ -1235,39 +1235,39 @@
 msgid "Sunday"
 msgstr "Sunnuntai"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr "VPS-tallennus on alkamassa!"
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr "Tallennus aloitettu"
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr "VDR sammuu myhemmin - pakota virtanppimell"
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Peru sammutus painamalla mit tahansa nppint"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Vaihdetaan ensisijaista DVB-sovitinta..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Muokkaus eponnistui!"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Muokkaus valmis"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr "Peru uudelleenkynnistys painamalla mit tahansa nppint"
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr "VDR sammuu %s minuutin kuluttua"
diff -ruN vdr-1.5.7/po/fr_FR.po vdr-1.5.8/po/fr_FR.po
--- vdr-1.5.7/po/fr_FR.po	2007-08-12 14:18:10.000000000 +0200
+++ vdr-1.5.8/po/fr_FR.po	2007-08-19 13:53:29.000000000 +0200
@@ -5,14 +5,16 @@
 # Olivier Jacques <jacquesolivier@hotmail.com>, 2003
 # Gregoire Favre <greg@magma.unil.ch>, 2003
 # Nicolas Huillard <nhuillard@e-dition.fr>, 2005
+# Pierre Briec <pbriec@free.fr>, 2006
+# Bruno Roussel <bruno.roussel@free.fr>, 2007
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
-"PO-Revision-Date: 2007-08-12 14:17+0200\n"
-"Last-Translator: Nicolas Huillard <nhuillard@e-dition.fr>\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
+"PO-Revision-Date: 2007-08-17 13:45+0200\n"
+"Last-Translator: Bruno Roussel <bruno.roussel@free.fr>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=ISO-8859-1\n"
@@ -20,15 +22,15 @@
 
 #: channels.c:1077 menu.c:707
 msgid "*** Invalid Channel ***"
-msgstr "*** Chane invalide! ***"
+msgstr "*** Chane invalide ! ***"
 
 #: device.c:634 device.c:670
 msgid "Channel not available!"
-msgstr "Chane non disponible!"
+msgstr "Chane non disponible !"
 
 #: device.c:636
 msgid "Can't start Transfer Mode!"
-msgstr "Impossible d'utiliser le mode transfert!"
+msgstr "Impossible d'utiliser le mode transfert !"
 
 #: eitscan.c:159
 msgid "Starting EPG scan"
@@ -39,12 +41,12 @@
 msgstr "Sans titre"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Franais"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "fra"
 
@@ -58,7 +60,7 @@
 
 #: interface.c:79
 msgid "RC code detected!"
-msgstr "Code de la tlcommande dtect!"
+msgstr "Code de la tlcommande dtect !"
 
 #: interface.c:80
 msgid "Do not press any key..."
@@ -243,39 +245,39 @@
 
 #: keys.c:58
 msgid "Key$User1"
-msgstr ""
+msgstr "Utilisateur1"
 
 #: keys.c:59
 msgid "Key$User2"
-msgstr ""
+msgstr "Utilisateur2"
 
 #: keys.c:60
 msgid "Key$User3"
-msgstr ""
+msgstr "Utilisateur3"
 
 #: keys.c:61
 msgid "Key$User4"
-msgstr ""
+msgstr "Utilisateur4"
 
 #: keys.c:62
 msgid "Key$User5"
-msgstr ""
+msgstr "Utilisateur5"
 
 #: keys.c:63
 msgid "Key$User6"
-msgstr ""
+msgstr "Utilisateur6"
 
 #: keys.c:64
 msgid "Key$User7"
-msgstr ""
+msgstr "Utilisateur7"
 
 #: keys.c:65
 msgid "Key$User8"
-msgstr ""
+msgstr "Utilisateur8"
 
 #: keys.c:66
 msgid "Key$User9"
-msgstr ""
+msgstr "Utilisateur9"
 
 #: menu.c:69
 msgid "Free To Air"
@@ -391,13 +393,13 @@
 
 #: menu.c:312
 msgid "Channel settings are not unique!"
-msgstr "Caractristiques des chanes ne sont pas uniques"
+msgstr "Caractristiques des chanes non uniques"
 
 #: menu.c:402 menu.c:2923
 msgid "Channels"
 msgstr "Chanes"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Supprimer"
 
@@ -415,11 +417,11 @@
 
 #: menu.c:512
 msgid "Channel is being used by a timer!"
-msgstr "Cette chane est en cours d'utilisation!"
+msgstr "Cette chane est en cours d'utilisation !"
 
 #: menu.c:515
 msgid "Delete channel?"
-msgstr "Supprimer la chane?"
+msgstr "Supprimer la chane ?"
 
 #: menu.c:652
 msgid "Edit timer"
@@ -479,11 +481,11 @@
 
 #: menu.c:890
 msgid "Delete timer?"
-msgstr "Supprimer la programmation?"
+msgstr "Supprimer la programmation ?"
 
 #: menu.c:892 menu.c:2031
 msgid "Timer still recording - really delete?"
-msgstr "Enregistrement en cours - confirmez la suppression"
+msgstr "Enregistrement en cours - suppression confirme ?"
 
 #: menu.c:948
 msgid "Event"
@@ -511,7 +513,7 @@
 
 #: menu.c:1138 menu.c:1381 menu.c:1501
 msgid "Button$Next"
-msgstr "Aprs"
+msgstr "Aprs"
 
 #: menu.c:1138 menu.c:1381 menu.c:1501
 msgid "Button$Now"
@@ -523,7 +525,7 @@
 
 #: menu.c:1158 menu.c:1450
 msgid "Can't switch channel!"
-msgstr "Impossible de changer de chane!"
+msgstr "Impossible de changer de chane !"
 
 #: menu.c:1283
 #, c-format
@@ -541,16 +543,16 @@
 
 #: menu.c:1342
 msgid "All events - all channels"
-msgstr "Tous les vnements - toutes chanes"
+msgstr "Tous les vnements - toutes les chanes"
 
 #: menu.c:1712
 #, c-format
 msgid "Please enter %d digits!"
-msgstr "Veuillez entrer %d chiffres!"
+msgstr "Veuillez entrer %d chiffres !"
 
 #: menu.c:1754
 msgid "CAM not responding!"
-msgstr ""
+msgstr "Pas de rponse de la CAM"
 
 #: menu.c:1784
 msgid "Recording info"
@@ -578,15 +580,15 @@
 
 #: menu.c:1970
 msgid "Error while accessing recording!"
-msgstr "Impossible d'accder  l'enregistrement"
+msgstr "Impossible d'accder  l'enregistrement"
 
 #: menu.c:2028
 msgid "Delete recording?"
-msgstr "Supprimer l'enregistrement?"
+msgstr "Supprimer l'enregistrement ?"
 
 #: menu.c:2058
 msgid "Error while deleting recording!"
-msgstr "Erreur de suppression de l'enregistrement!"
+msgstr "Erreur de suppression de l'enregistrement !"
 
 #: menu.c:2089
 msgid "Recording commands"
@@ -642,35 +644,35 @@
 
 #: menu.c:2217
 msgid "Setup.OSD$Use small font"
-msgstr "Utiliser les petits caractres"
+msgstr "Utiliser les petites polices"
 
 #: menu.c:2218
 msgid "Setup.OSD$Anti-alias"
-msgstr ""
+msgstr "Anti-aliasing"
 
 #: menu.c:2219
 msgid "Setup.OSD$Default font"
-msgstr ""
+msgstr "Police par dfaut"
 
 #: menu.c:2220
 msgid "Setup.OSD$Small font"
-msgstr ""
+msgstr "Petite police"
 
 #: menu.c:2221
 msgid "Setup.OSD$Fixed font"
-msgstr ""
+msgstr "Police taille fixe"
 
 #: menu.c:2222
 msgid "Setup.OSD$Default font size (pixel)"
-msgstr ""
+msgstr "Taille police par dfaut (pixel)"
 
 #: menu.c:2223
 msgid "Setup.OSD$Small font size (pixel)"
-msgstr ""
+msgstr "Taille petite police par dfaut (pixel)"
 
 #: menu.c:2224
 msgid "Setup.OSD$Fixed font size (pixel)"
-msgstr ""
+msgstr "Taille police fixe par dfaut (pixel)"
 
 #: menu.c:2225
 msgid "Setup.OSD$Channel info position"
@@ -840,19 +842,19 @@
 
 #: menu.c:2560
 msgid "CAM reset"
-msgstr ""
+msgstr "CAM remise  zro"
 
 #: menu.c:2561
 msgid "CAM present"
-msgstr ""
+msgstr "CAM prsente"
 
 #: menu.c:2562
 msgid "CAM ready"
-msgstr ""
+msgstr "CAM prte"
 
 #: menu.c:2585 menu.c:2815
 msgid "CAM"
-msgstr "Accs conditionnel"
+msgstr "Accs conditionnel"
 
 #: menu.c:2590
 msgid "Button$Menu"
@@ -868,15 +870,15 @@
 
 #: menu.c:2615
 msgid "Can't open CAM menu!"
-msgstr "Impossible d'ouvrir le menu CAM!"
+msgstr "Impossible d'ouvrir le menu CAM !"
 
 #: menu.c:2624
 msgid "CAM is in use - really reset?"
-msgstr ""
+msgstr "CAM en cours d'utilisation - Remettre  zro ?"
 
 #: menu.c:2626
 msgid "Can't reset CAM!"
-msgstr "Impossible de rinitialiser la CAM!"
+msgstr "Impossible de rinitialiser la CAM !"
 
 #: menu.c:2660 menu.c:2816
 msgid "Recording"
@@ -980,7 +982,7 @@
 
 #: menu.c:2716
 msgid "Setup.Miscellaneous$Channel entry timeout (ms)"
-msgstr ""
+msgstr "Entre chane timeout (ms)"
 
 #: menu.c:2717
 msgid "Setup.Miscellaneous$Initial channel"
@@ -1002,7 +1004,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Ce plugin n'a pas de paramtres!"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Configuration"
 
@@ -1012,7 +1014,7 @@
 
 #: menu.c:2826
 msgid "Really restart?"
-msgstr "Redmarrer?"
+msgstr "Vraiment redmarrer ?"
 
 #. TRANSLATORS: note the leading and trailing blanks!
 #: menu.c:2878
@@ -1063,23 +1065,23 @@
 
 #: menu.c:3038
 msgid "Stop recording?"
-msgstr "Arrter l'enregistrement?"
+msgstr "Arrter l'enregistrement ?"
 
 #: menu.c:3046
 msgid "Cancel editing?"
-msgstr "Annuler les modifications?"
+msgstr "Annuler les modifications ?"
 
 #: menu.c:3526
 msgid "No audio available!"
-msgstr ""
+msgstr "Pas d'audio disponible !"
 
 #: menu.c:3736
 msgid "Not enough disk space to start recording!"
-msgstr "Espace disque insuffisant pour dmarrer l'enregistrement!"
+msgstr "Espace disque insuffisant pour dmarrer l'enregistrement !"
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
-msgstr "Pas de carte DVB disponible pour l'enregistrement!"
+msgstr "Pas de carte DVB disponible pour l'enregistrement !"
 
 #: menu.c:3797
 msgid "Pausing live video..."
@@ -1088,15 +1090,15 @@
 #. TRANSLATORS: note the trailing blank!
 #: menu.c:4040
 msgid "Jump: "
-msgstr "Accs direct: "
+msgstr "Accs direct : "
 
 #: menu.c:4184
 msgid "No editing marks defined!"
-msgstr "Pas de marques d'dition dfinies!"
+msgstr "Pas de marques d'dition dfinies !"
 
 #: menu.c:4186
 msgid "Can't start editing process!"
-msgstr "Impossible de commencer le montage!"
+msgstr "Impossible de commencer le montage !"
 
 #: menu.c:4188
 msgid "Editing process started"
@@ -1104,7 +1106,7 @@
 
 #: menu.c:4191
 msgid "Editing process already active!"
-msgstr "Montage dj en cours!"
+msgstr "Montage dj en cours !"
 
 #: menuitems.c:21
 msgid " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@"
@@ -1114,23 +1116,23 @@
 msgid "yes"
 msgstr "oui"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Insrer"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
-msgstr "craser"
+msgstr "Ecraser"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Plugin"
 
@@ -1140,23 +1142,23 @@
 
 #: player.c:84
 msgid "Channel locked (recording)!"
-msgstr "Chane verrouille (enregistrement en cours)!"
+msgstr "Chane verrouille (enregistrement en cours) !"
 
 #: recording.c:189
 msgid "Low disk space!"
-msgstr "Disque presque plein!"
+msgstr "Disque presque plein !"
 
 #: shutdown.c:148
 msgid "Can't shutdown - option '-s' not given!"
-msgstr "Arrt impossible - option '-s' absente!"
+msgstr "Arrt impossible - option '-s' absente !"
 
 #: shutdown.c:152
 msgid "Editing - shut down anyway?"
-msgstr ""
+msgstr "Edition en cours - confirmez l'arrt ?"
 
 #: shutdown.c:162
 msgid "Recording - shut down anyway?"
-msgstr "Enregistrement en cours - confirmez l'arrt"
+msgstr "Enregistrement en cours - confirmez l'arrt ?"
 
 #: shutdown.c:169
 #, c-format
@@ -1170,19 +1172,19 @@
 #: shutdown.c:184
 #, c-format
 msgid "Plugin %s wakes up in %ld min, continue?"
-msgstr ""
+msgstr "Le plugin %s dmarre dans %ld min, continuer ?"
 
 #: shutdown.c:195
 msgid "Editing - restart anyway?"
-msgstr ""
+msgstr "Edition en cours - redmarrer ?"
 
 #: shutdown.c:205
 msgid "Recording - restart anyway?"
-msgstr "Enregistrement en cours - redmarrer?"
+msgstr "Enregistrement en cours - redmarrer ?"
 
 #: shutdown.c:209
 msgid "restart anyway?"
-msgstr "redmarrer?"
+msgstr "redmarrer ?"
 
 #. TRANSLATORS: note the trailing blank!
 #: skinclassic.c:553
@@ -1235,39 +1237,39 @@
 msgid "Sunday"
 msgstr "Dimanche"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr "Enregistrement VPS commence prochanement"
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr "Enregistrement a commenc"
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
-msgstr ""
+msgstr "VDR doit s'arrter plus tard - Appuyer sur Power pour forcer"
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Appuyez sur une touche pour annuler l'arrt"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Changement de carte DVB primaire..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
-msgstr "Echec du montage!"
+msgstr "Echec du montage !"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Montage termin"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
-msgstr ""
+msgstr "Appuyer sur une touche pour annuler le redmarrage"
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
-msgstr ""
+msgstr "VDR s'arrtera dans %s minutes"
diff -ruN vdr-1.5.7/po/hr_HR.po vdr-1.5.8/po/hr_HR.po
--- vdr-1.5.7/po/hr_HR.po	2007-08-12 14:18:11.000000000 +0200
+++ vdr-1.5.8/po/hr_HR.po	2007-08-19 13:53:29.000000000 +0200
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Drazen Dupor <drazen.dupor@dupor.com>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -37,12 +37,12 @@
 msgstr "Bez titla"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Hrvatski"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "hrv"
 
@@ -395,7 +395,7 @@
 msgid "Channels"
 msgstr "Programi"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Obrii"
 
@@ -1000,7 +1000,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Ovaj dodatak (Plugin) nema parametara!"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Konfiguracija"
 
@@ -1075,7 +1075,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr ""
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Nema slobodnog DVB ureaja za snimanje!"
 
@@ -1112,23 +1112,23 @@
 msgid "yes"
 msgstr "da"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr ""
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Umetni"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "Prepii"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Plugin"
 
@@ -1233,39 +1233,39 @@
 msgid "Sunday"
 msgstr "Nedjelja"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr ""
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr ""
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Pritisnite tipku ako ne elite ugasiti sistem"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Preklapanje primarnog DVB ureaja..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Rezanje neuspjeno!"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Rezanje zavreno"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/po/hu_HU.po vdr-1.5.8/po/hu_HU.po
--- vdr-1.5.7/po/hu_HU.po	2007-08-12 14:18:12.000000000 +0200
+++ vdr-1.5.8/po/hu_HU.po	2007-08-19 13:53:29.000000000 +0200
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Istvan Koenigsberger <istvnko@hotmail.com>, Guido Josten <guido.josten@t-online.de>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -37,12 +37,12 @@
 msgstr "nv nlkl"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Magyar"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "hun"
 
@@ -395,7 +395,7 @@
 msgid "Channels"
 msgstr "Csatornk"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Trlni"
 
@@ -1000,7 +1000,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Ennek a plugin-nak nincs setup-parametere!"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Belltsok"
 
@@ -1075,7 +1075,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr "Nincs elegend hely a felvtelre"
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Nincs szabad DVB krtya a felvtelhez!"
 
@@ -1112,23 +1112,23 @@
 msgid "yes"
 msgstr "igen"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Beilleszteni"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "trni"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Plugin"
 
@@ -1233,39 +1233,39 @@
 msgid "Sunday"
 msgstr "Vasrnap"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr "VPS-felvtel rgtn kezddik!"
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr "A felvtel elinditva Nd"
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Nyomj egy gombot a lells meglltshoz"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Primr Interface tkapcsolva..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Vgs sikertelen!"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Vgs befejezve"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/po/it_IT.po vdr-1.5.8/po/it_IT.po
--- vdr-1.5.7/po/it_IT.po	2007-08-12 14:18:13.000000000 +0200
+++ vdr-1.5.8/po/it_IT.po	2007-08-19 13:53:29.000000000 +0200
@@ -9,7 +9,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Sean Carlos <seanc@libero.it>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -38,12 +38,12 @@
 msgstr "Senza titolo"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Italiano"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "ita"
 
@@ -396,7 +396,7 @@
 msgid "Channels"
 msgstr "Canali"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Cancella"
 
@@ -1001,7 +1001,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Questo plugin non ha parametri di configurazione!"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Opzioni"
 
@@ -1076,7 +1076,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr "Spazio su disco insufficiente per registrare!"
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Nessuna periferica DVB disponibile per registrare!"
 
@@ -1113,23 +1113,23 @@
 msgid "yes"
 msgstr "si"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Inserisci"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "Sovrascrivi"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Plugin"
 
@@ -1234,39 +1234,39 @@
 msgid "Sunday"
 msgstr "Domenica"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr "Registrazione VPS imminente!"
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr "Registrazione avviata"
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Premere un tasto per annullare lo spegnimento"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Cambio su card DVB primaria..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Processo di modifica fallito!"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Processo di modifica terminato"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/po/nl_NL.po vdr-1.5.8/po/nl_NL.po
--- vdr-1.5.7/po/nl_NL.po	2007-08-12 14:18:14.000000000 +0200
+++ vdr-1.5.8/po/nl_NL.po	2007-08-19 13:53:29.000000000 +0200
@@ -9,7 +9,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Maarten Wisse <Maarten.Wisse@urz.uni-hd.de>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -38,12 +38,12 @@
 msgstr "Geen titel"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Nederlands"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "dut"
 
@@ -396,7 +396,7 @@
 msgid "Channels"
 msgstr "Kanalen"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Verwijder"
 
@@ -1001,7 +1001,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Deze plugin heeft geen instelparameters"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Instellingen"
 
@@ -1076,7 +1076,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr ""
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Geen vrije DVB kaart om op te nemen!"
 
@@ -1113,23 +1113,23 @@
 msgid "yes"
 msgstr "ja"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr ""
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Invoegen"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "Overschrijven"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Plugin"
 
@@ -1234,39 +1234,39 @@
 msgid "Sunday"
 msgstr "Zondag"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr ""
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr ""
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Druk een toets om shutdown af te breken"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Eerste DVB-kaart wordt omgeschakeld..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Bewerken is mislukt!"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Bewerken is klaar"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/po/nn_NO.po vdr-1.5.8/po/nn_NO.po
--- vdr-1.5.7/po/nn_NO.po	2007-08-12 14:18:15.000000000 +0200
+++ vdr-1.5.8/po/nn_NO.po	2007-08-19 13:53:29.000000000 +0200
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Truls Slevigen <truls@slevigen.no>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -37,12 +37,12 @@
 msgstr ""
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Norsk"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "nor"
 
@@ -395,7 +395,7 @@
 msgid "Channels"
 msgstr "Kanaler"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Slett"
 
@@ -1000,7 +1000,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr ""
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Konfigurasjon"
 
@@ -1075,7 +1075,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr ""
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Ingen ledige DVB enheter for opptak!"
 
@@ -1112,23 +1112,23 @@
 msgid "yes"
 msgstr "ja"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr ""
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr ""
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr ""
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Plugin"
 
@@ -1233,39 +1233,39 @@
 msgid "Sunday"
 msgstr "Sndag"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr ""
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr ""
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Trykk en tast for ikke  sl av"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Bytter frste DVB-enhet..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Feil under redigering!"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Redigeringsprosess avsluttet"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/po/pl_PL.po vdr-1.5.8/po/pl_PL.po
--- vdr-1.5.7/po/pl_PL.po	2007-08-12 14:18:16.000000000 +0200
+++ vdr-1.5.8/po/pl_PL.po	2007-08-19 13:53:29.000000000 +0200
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Michael Rakowski <mrak@gmx.de>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -36,12 +36,12 @@
 msgstr "Bez tytuu"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Polski"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "pol"
 
@@ -394,7 +394,7 @@
 msgid "Channels"
 msgstr "Kanay"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Usu"
 
@@ -999,7 +999,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Ta wtyczka nie ma adnych ustawie!"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Ustawienia"
 
@@ -1074,7 +1074,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr "Brak miejsca na dysku do nagrywania!"
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Brak wolnej karty DVB do nagrywania!"
 
@@ -1111,23 +1111,23 @@
 msgid "yes"
 msgstr "tak"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Wstaw"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "Nadpisz"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Wtyczka"
 
@@ -1232,39 +1232,39 @@
 msgid "Sunday"
 msgstr "Niedziela"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr "Wkrtce nagranie VPS!"
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr "Rozpoczto nagrywanie"
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Nacinij dowolny klawisz aby nie wycza"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Prz곱czam na pierwszy interfejs DVB..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Proces edycji nie powid si!"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Proces edycji zakoczony"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/po/pt_PT.po vdr-1.5.8/po/pt_PT.po
--- vdr-1.5.7/po/pt_PT.po	2007-08-12 14:18:17.000000000 +0200
+++ vdr-1.5.8/po/pt_PT.po	2007-08-19 13:53:29.000000000 +0200
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Paulo Lopes <pmml@netvita.pt>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -36,12 +36,12 @@
 msgstr ""
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Portugus"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "por"
 
@@ -394,7 +394,7 @@
 msgid "Channels"
 msgstr "Canais"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Apagar"
 
@@ -999,7 +999,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr ""
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Configurar"
 
@@ -1074,7 +1074,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr ""
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Nenhuma placa DVB disponivel para gravar!"
 
@@ -1111,23 +1111,23 @@
 msgid "yes"
 msgstr "sim"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr ""
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr ""
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr ""
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Plugin"
 
@@ -1232,39 +1232,39 @@
 msgid "Sunday"
 msgstr "Domingo"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr ""
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr ""
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Pressione qualquer tecla para cancelar"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "A mudar interface DVB primrio..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Falha no processo de modificao"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Processo de modificao terminado"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/po/ro_RO.po vdr-1.5.8/po/ro_RO.po
--- vdr-1.5.7/po/ro_RO.po	2007-08-12 14:18:18.000000000 +0200
+++ vdr-1.5.8/po/ro_RO.po	2007-08-19 13:53:29.000000000 +0200
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Lucian Muresan <lucianm@users.sourceforge.net>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -37,12 +37,12 @@
 msgstr "Fr titlu"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Romn"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "rom"
 
@@ -395,7 +395,7 @@
 msgid "Channels"
 msgstr "Canale"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "terge"
 
@@ -1000,7 +1000,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Acest plugin nu se configureaz!"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Configuraie"
 
@@ -1075,7 +1075,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr "Insuficient spaiul pe disc pentru nregistrare!"
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Nu mai sunt dispozitive DVB disponibile pentru nregistrare!"
 
@@ -1112,23 +1112,23 @@
 msgid "yes"
 msgstr "da"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Insereaz"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "Suprascrie"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Plugin (modul adiional)"
 
@@ -1233,39 +1233,39 @@
 msgid "Sunday"
 msgstr "Duminic"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr "Urmeaz o nregistrare VPS!"
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr "A nceput nregistrarea"
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Apas orice tast pentru a anula nchiderea"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Comut dispozitiv DVB primar..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Montajul nregistrrii a euat"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Montajul nregistrrii s-a terminat"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/po/ru_RU.po vdr-1.5.8/po/ru_RU.po
--- vdr-1.5.7/po/ru_RU.po	2007-08-12 14:18:19.000000000 +0200
+++ vdr-1.5.8/po/ru_RU.po	2007-08-19 13:53:29.000000000 +0200
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Vyacheslav Dikonov <sdiconov@mail.ru>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -36,12 +36,12 @@
 msgstr " "
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr ""
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "rus"
 
@@ -394,7 +394,7 @@
 msgid "Channels"
 msgstr ""
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr ""
 
@@ -999,7 +999,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "    !"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr ""
 
@@ -1074,7 +1074,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr "      "
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "  DVB-  !"
 
@@ -1111,23 +1111,23 @@
 msgid "yes"
 msgstr ""
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "/"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr ""
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr ""
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr ""
 
@@ -1232,39 +1232,39 @@
 msgid "Sunday"
 msgstr ""
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr "VPS-  "
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr " "
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr "VDR   -  Power  "
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "     ."
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "  DVB-..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "    !"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr " "
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr "     "
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr "VDR   %s "
diff -ruN vdr-1.5.7/po/sl_SI.po vdr-1.5.8/po/sl_SI.po
--- vdr-1.5.7/po/sl_SI.po	2007-08-12 14:18:20.000000000 +0200
+++ vdr-1.5.8/po/sl_SI.po	2007-08-19 13:53:29.000000000 +0200
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Matjaz Thaler <matjaz.thaler@guest.arnes.si>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -37,12 +37,12 @@
 msgstr "Brez naziva"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Slovenski"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "slv"
 
@@ -395,7 +395,7 @@
 msgid "Channels"
 msgstr "Kanali"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Izbrii"
 
@@ -1000,7 +1000,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Ta vstavek nima nastavitvenih parametrov!"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Nastavitve"
 
@@ -1075,7 +1075,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr "Premalo prostora na disku za snemanje!"
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Ni proste DVB naprave za snemanje!"
 
@@ -1112,23 +1112,23 @@
 msgid "yes"
 msgstr "da"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Vstavi"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "Prepii"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Vstavek"
 
@@ -1233,39 +1233,39 @@
 msgid "Sunday"
 msgstr "Nedelja"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr "Sledi VPS snemanje!"
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr "Snemanje se je prielo"
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Pritisnite katerikoli gumb za preklic izklopa"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Preklapljanje primarne DVB naprave..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Napaka pri procesu urejanja!"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Proces urejanja je konan"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/po/sv_SE.po vdr-1.5.8/po/sv_SE.po
--- vdr-1.5.7/po/sv_SE.po	2007-08-12 14:18:22.000000000 +0200
+++ vdr-1.5.8/po/sv_SE.po	2007-08-19 13:53:29.000000000 +0200
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Tomas Prybil <tomas@prybil.se>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -37,12 +37,12 @@
 msgstr "ingen titel"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Svenska"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "sve"
 
@@ -395,7 +395,7 @@
 msgid "Channels"
 msgstr "Kanaler"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Ta bort"
 
@@ -1000,7 +1000,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Den hr modulen har inga parametrar"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Instllningar"
 
@@ -1075,7 +1075,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr "Otillrcklingt diskutrymme fr inspelning!"
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Det finns ingen ledig DVB enhet fr inspelning!"
 
@@ -1112,23 +1112,23 @@
 msgid "yes"
 msgstr "ja"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Infoga"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "Skriv ver"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Modul"
 
@@ -1233,39 +1233,39 @@
 msgid "Sunday"
 msgstr "Sndag"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr "strax VPS inspelning..."
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr "Inspelningen har startat"
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Tryck valfri knapp fr att terkalla avstngningen"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Byter primr DVB enhet..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Redigeringsprocessen misslyckades"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Redigering avslutad"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/po/tr_TR.po vdr-1.5.8/po/tr_TR.po
--- vdr-1.5.7/po/tr_TR.po	2007-08-12 14:18:23.000000000 +0200
+++ vdr-1.5.8/po/tr_TR.po	2007-08-19 13:53:30.000000000 +0200
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: VDR 1.5.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2007-08-12 14:11+0200\n"
+"POT-Creation-Date: 2007-08-19 13:53+0200\n"
 "PO-Revision-Date: 2007-08-12 14:17+0200\n"
 "Last-Translator: Oktay Yolgeen <oktay_73@yahoo.de>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -36,12 +36,12 @@
 msgstr "sim yok"
 
 #. TRANSLATORS: The name of the language, as written natively
-#: i18n.c:29
+#: i18n.c:30
 msgid "LanguageName$English"
 msgstr "Trke"
 
 #. TRANSLATORS: The 3-letter code of the language
-#: i18n.c:31
+#: i18n.c:32
 msgid "LanguageCode$eng"
 msgstr "tur"
 
@@ -394,7 +394,7 @@
 msgid "Channels"
 msgstr "Kanallar"
 
-#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:319
+#: menu.c:432 menu.c:847 menu.c:1920 menuitems.c:320
 msgid "Button$Delete"
 msgstr "Sil"
 
@@ -999,7 +999,7 @@
 msgid "This plugin has no setup parameters!"
 msgstr "Bu eklentinin dzenek parametresi yok!"
 
-#: menu.c:2808 menu.c:2942 menuitems.c:951
+#: menu.c:2808 menu.c:2942 menuitems.c:950
 msgid "Setup"
 msgstr "Ayarlar"
 
@@ -1074,7 +1074,7 @@
 msgid "Not enough disk space to start recording!"
 msgstr "Kayt iin yeterince kapasite yok!"
 
-#: menu.c:3767 vdr.c:1015 vdr.c:1075
+#: menu.c:3767 vdr.c:1017 vdr.c:1077
 msgid "No free DVB device to record!"
 msgstr "Kullanlmayan DVB kart bulunmad!"
 
@@ -1111,23 +1111,23 @@
 msgid "yes"
 msgstr "evet"
 
-#: menuitems.c:287
+#: menuitems.c:288
 msgid " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 msgstr " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tprs7\ttuv8\tyz9"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Insert"
 msgstr "Ekle"
 
-#: menuitems.c:319
+#: menuitems.c:320
 msgid "Button$Overwrite"
 msgstr "stne yaz"
 
-#: menuitems.c:972
+#: menuitems.c:971
 msgid "Plugin"
 msgstr "Eklenti"
 
@@ -1232,39 +1232,39 @@
 msgid "Sunday"
 msgstr "Pazar"
 
-#: vdr.c:861
+#: vdr.c:863
 msgid "Upcoming VPS recording!"
 msgstr "VPS ekim yaknda balyor!"
 
-#: vdr.c:1023 vdr.c:1079
+#: vdr.c:1025 vdr.c:1081
 msgid "Recording started"
 msgstr "Kayt baland"
 
-#: vdr.c:1032
+#: vdr.c:1034
 msgid "VDR will shut down later - press Power to force"
 msgstr ""
 
-#: vdr.c:1044
+#: vdr.c:1046
 msgid "Press any key to cancel shutdown"
 msgstr "Kapatmay iptal etmek iin herhangi bir tua bas"
 
-#: vdr.c:1097
+#: vdr.c:1099
 msgid "Switching primary DVB..."
 msgstr "Primer DVB arayz deitiriliyor..."
 
-#: vdr.c:1165
+#: vdr.c:1167
 msgid "Editing process failed!"
 msgstr "Kesim baarsz!"
 
-#: vdr.c:1167
+#: vdr.c:1169
 msgid "Editing process finished"
 msgstr "Kesim bitti"
 
-#: vdr.c:1173
+#: vdr.c:1175
 msgid "Press any key to cancel restart"
 msgstr ""
 
-#: vdr.c:1193
+#: vdr.c:1195
 #, c-format
 msgid "VDR will shut down in %s minutes"
 msgstr ""
diff -ruN vdr-1.5.7/vdr.c vdr-1.5.8/vdr.c
--- vdr-1.5.7/vdr.c	2007-08-12 13:22:04.000000000 +0200
+++ vdr-1.5.8/vdr.c	2007-08-18 15:03:46.000000000 +0200
@@ -22,7 +22,7 @@
  *
  * The project's page is at http://www.cadsoft.de/vdr
  *
- * $Id: vdr.c 1.296 2007/08/12 11:22:04 kls Exp $
+ * $Id: vdr.c 1.298 2007/08/18 13:03:46 kls Exp $
  */
 
 #include <getopt.h>
@@ -704,10 +704,13 @@
 #endif
         // Attach launched player control:
         cControl::Attach();
+
+        time_t Now = time(NULL);
+
         // Make sure we have a visible programme in case device usage has changed:
         if (!EITScanner.Active() && cDevice::PrimaryDevice()->HasDecoder() && !cDevice::PrimaryDevice()->HasProgramme()) {
            static time_t lastTime = 0;
-           if (time(NULL) - lastTime > MINCHANNELWAIT) {
+           if (Now - lastTime > MINCHANNELWAIT) {
               cChannel *Channel = Channels.GetByNumber(cDevice::CurrentChannel());
               if (Channel && (Channel->Vpid() || Channel->Apid(0))) {
                  if (!Channels.SwitchTo(cDevice::CurrentChannel()) // try to switch to the original channel...
@@ -716,7 +719,7 @@
                      && !cDevice::SwitchChannel(-1)) // ...or the next lower available one
                     ;
                  }
-              lastTime = time(NULL); // don't do this too often
+              lastTime = Now; // don't do this too often
               LastTimerChannel = -1;
               }
            }
@@ -738,8 +741,8 @@
            if (modified == CHANNELSMOD_USER || Timers.Modified(TimerState))
               ChannelSaveTimeout = 1; // triggers an immediate save
            else if (modified && !ChannelSaveTimeout)
-              ChannelSaveTimeout = time(NULL) + CHANNELSAVEDELTA;
-           bool timeout = ChannelSaveTimeout == 1 || ChannelSaveTimeout && time(NULL) > ChannelSaveTimeout && !cRecordControls::Active();
+              ChannelSaveTimeout = Now + CHANNELSAVEDELTA;
+           bool timeout = ChannelSaveTimeout == 1 || ChannelSaveTimeout && Now > ChannelSaveTimeout && !cRecordControls::Active();
            if ((modified || timeout) && Channels.Lock(false, 100)) {
               if (timeout) {
                  Channels.Save();
@@ -767,16 +770,15 @@
            if (!Menu)
               Menu = new cDisplayChannel(cDevice::CurrentChannel(), LastChannel >= 0);
            LastChannel = cDevice::CurrentChannel();
-           LastChannelChanged = time(NULL);
+           LastChannelChanged = Now;
            }
-        if (time(NULL) - LastChannelChanged >= Setup.ZapTimeout && LastChannel != PreviousChannel[PreviousChannelIndex])
+        if (Now - LastChannelChanged >= Setup.ZapTimeout && LastChannel != PreviousChannel[PreviousChannelIndex])
            PreviousChannel[PreviousChannelIndex ^= 1] = LastChannel;
         // Timers and Recordings:
         if (!Timers.BeingEdited()) {
            // Assign events to timers:
            Timers.SetEvents();
            // Must do all following calls with the exact same time!
-           time_t Now = time(NULL);
            // Process ongoing recordings:
            cRecordControls::Process(Now);
            // Start new recordings:
@@ -863,7 +865,7 @@
                         }
                      }
                   }
-              LastTimerCheck = time(NULL);
+              LastTimerCheck = Now;
               }
            // Delete expired timers:
            Timers.DeleteExpired();
@@ -1065,7 +1067,7 @@
                     continue;
                     }
                  }
-              else if (time(NULL) - cRemote::LastActivity() > MENUTIMEOUT)
+              else if (Now - cRemote::LastActivity() > MENUTIMEOUT)
                  state = osEnd;
               }
            switch (state) {
@@ -1181,12 +1183,12 @@
               ShutdownHandler.countdown.Cancel();
            }
 
-        if (!Interact && !cRecordControls::Active() && !cCutter::Active() && !Interface->HasSVDRPConnection() && (time(NULL) - cRemote::LastActivity()) > ACTIVITYTIMEOUT) {
+        if (!Interact && !cRecordControls::Active() && !cCutter::Active() && !Interface->HasSVDRPConnection() && (Now - cRemote::LastActivity()) > ACTIVITYTIMEOUT) {
            // Handle housekeeping tasks
 
            // Shutdown:
            // Check whether VDR will be ready for shutdown in SHUTDOWNWAIT seconds:
-           time_t Soon = time(NULL) + SHUTDOWNWAIT;
+           time_t Soon = Now + SHUTDOWNWAIT;
            if (ShutdownHandler.IsUserInactive(Soon) && ShutdownHandler.Retry(Soon) && !ShutdownHandler.countdown) {
               if (ShutdownHandler.ConfirmShutdown(false))
                  // Time to shut down - start final countdown:
